#
# spec file for package xorg-x11-driver-video
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%define moblin 0

Name:           xorg-x11-driver-video
BuildRequires:  Mesa-devel libdrm-devel pkgconfig xorg-x11-proto-devel xorg-x11-server-sdk
Url:            http://xorg.freedesktop.org/
Version:        7.4.0.1
Release:        0.7.2
License:        X11/MIT
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Group:          System/X11/Servers/XF86_4
Provides:       xorg-x11-driver-video-nvidia 855resolution 915resolution
Provides:       intel-i810-xorg-x11 xorg-x11-driver-video-intel
Requires:       VIDEO_ABI_VERSION = 5
Requires:       libdrm >= 2.4.23
Obsoletes:      xorg-x11-driver-video-nvidia 855resolution 915resolution
Obsoletes:      intel-i810-xorg-x11 xorg-x11-driver-video-intel
Supplements:    xorg-x11-server
Summary:        X.Org video drivers
ExcludeArch:    s390 s390x
Source0:        xf86-video-apm-1.2.2.tar.bz2
Source1:        xf86-video-ark-0.7.1.tar.bz2
Source2:        xf86-video-ast-0.89.9.tar.bz2
Source4:        xf86-video-chips-1.2.2.tar.bz2
Source5:        xf86-video-cirrus-1.2.1.tar.bz2
Source7:        xf86-video-dummy-0.3.2.tar.bz2
Source8:        xf86-video-fbdev-0.4.1.tar.bz2
Source9:        xf86-video-glint-1.2.4.tar.bz2
Source10:       xf86-video-i128-1.3.3.tar.bz2
Source11:       xf86-video-i740-1.3.2.tar.bz2
Source14:       xf86-video-mga-1.4.11.tar.bz2
Source15:       xf86-video-neomagic-1.2.4.tar.bz2
Source16:       xf86-video-newport-0.2.2.tar.bz2
Source17:       xf86-video-nsc-2.8.3.tar.bz2
Source18:       xf86-video-nv-2.1.14.tar.bz2
Source19:       xf86-video-rendition-4.2.2.tar.bz2
Source20:       xf86-video-s3-0.6.3.tar.bz2
Source21:       xf86-video-s3virge-1.10.4.tar.bz2
Source22:       xf86-video-savage-2.3.1.tar.bz2
Source23:       xf86-video-siliconmotion-1.7.3.tar.bz2
Source24:       xf86-video-sis-0.10.2.tar.bz2
Source25:       xf86-video-sisusb-0.9.3.tar.bz2
Source33:       xf86-video-tdfx-1.4.3.tar.bz2
Source34:       xf86-video-tga-1.2.0.tar.bz2
Source35:       xf86-video-trident-1.3.3.tar.bz2
Source36:       xf86-video-tseng-1.2.2.tar.bz2
Source37:       xf86-video-v4l-0.2.0.tar.bz2
Source38:       xf86-video-vesa-2.2.1.tar.bz2
Source39:       xf86-video-vga-4.1.0_080718_97e2d12.tar.bz2
Source41:       xf86-video-vmware-10.16.7.tar.bz2
Source42:       xf86-video-voodoo-1.2.3.tar.bz2
Source43:       xf86-video-impact-0.2.0.tar.bz2
Source44:       HALlib-4.1.tar.gz
Source45:       xf86-video-intel-2.14.0.tar.bz2
Source46:       xf86-video-ati-6.13.2.tar.bz2
Source48:       xf86-video-mga-1.9.100.tar.bz2
Source50:       xf86-video-xgi-1.5.1.tar.bz2
Source51:       xf86-video-geode-2.11.3.tar.bz2
Source53:       xf86-video-xgixp-1.7.99.3.tar.bz2
Source54:       xf86-video-mach64-6.8.2.tar.bz2
Source55:       xf86-video-r128-6.8.1.tar.bz2
Source56:       intel-gpu-tools-1.0.2-20100825-c935c60.tar.bz2
Source100:      sax2-hwinfo-data.tar.gz
Patch10:        xf86-video-tdfx.diff
Patch12:        xf86-video-mga-hal.diff
Patch14:        xf86-video-rendition.diff
Patch16:        xf86-video-nsc.diff
Patch17:        xf86-video-nsc-noasm.diff
Patch30:        xf86-video-mga.randr12.diff
Patch41:        xf86-video-xgi.diff
Patch46:        xf86-video-ati.diff
Patch47:        xf86-video-vmware-10.15.2.diff
Patch56:        xf86-video-mga-g200se-swcursor.diff
Patch64:        xf86-video-vesa_DefaultRefresh.diff
Patch68:        xf86-video-ati-bug474071-fix2.diff
Patch69:        xf86-video-ati-ia64_screen_blank.diff
Patch71:        xf86-video-fbdev.diff
Patch72:        xf86-video-mga-commit-5d4144e.diff
Patch103:       xf86-video-ati-6.7.197-r128-xvideo.patch
Patch104:       xf86-video-ati-disable-dri-bug437651-ia64only.diff
# Moblin
%if %moblin
Patch142:       xf86-video-intel-copy-fb.diff
%endif
Patch131:       xf86-video-ati-bug519261-increase-virtual.diff
Patch132:       xf86-video-nv-bug519261-increase-virtual.diff
Patch133:       xf86-video-nv-commit-f050096.diff
Patch134:       xf86-video-nv-commit-b30ec38.diff
Patch136:       xf86-video-ati-theatre-pciaccess.patch
Patch137:       xf86-video-nv-commit-99ed1c8.diff
Patch138:       xf86-video-ati-theatre.patch
Patch139:       intel_monitor_ignore.diff
Patch140:       xf86-video-mga-commit-3f215b6.diff
Patch143:       xf86-video-intel-clip-indirect-xv-output.diff
Patch144:       xf86-video-intel-Give-each-user-of-tiling-separate-xorg.conf-options.patch
Patch145:       xf86-video-intel-dri-Disable-page-flip-between-a-tiled-buffer-and-a-l.patch

%description
This package contains X.Org video drivers.



%prep
%setup -q -T -c %{name}
for i in $RPM_SOURCE_DIR/xf86-video-*.tar.bz2; do tar xjf $i; done
tar xjf $RPM_SOURCE_DIR/intel-gpu-tools-1.0.2-20100825-c935c60.tar.bz2
# Geode LX/GX is x86 only
%ifnarch %ix86
rm -rf xf86-video-geode*
%endif
ln -snf mga.man xf86-video-mga-1.9.100/man/mgarandr12.man
cp xf86-video-ati-*/src/{generic_bus.h,theatre_reg.h,theatre.h,theatre_detect.h,theatre_detect.c,theatre_detect_module.c,theatre.c,theatre_module.c} xf86-video-r128-*/src
pushd xf86-video-r128-*
%ifnarch ppc ppc64
%patch103 -p1
%patch136 -p1
%patch138 -p1
%endif
popd
pushd xf86-video-mga-1.9.100
%patch30 -p1
popd
pushd xf86-video-mga-1.4.11
tar xzf %{SOURCE44} -C src
%ifarch %ix86
%patch12
%endif
%patch56
%patch72 -p1
%patch140 -p1
popd
pushd xf86-video-tdfx-*
%patch10
popd
pushd xf86-video-rendition-*
%patch14
popd
pushd xf86-video-nsc-*
%patch16 -p1
%patch17 -p0
popd
pushd xf86-video-xgi-*
%patch41
popd
pushd xf86-video-ati-*
%patch46
%ifarch ia64
%patch104 -p1
%endif
popd
pushd xf86-video-vmware-*
%patch47
popd
pushd xf86-video-vesa-*
%patch64 -p1
popd
pushd xf86-video-ati-*
%patch68 -p2
%patch69 -p2
%patch131 -p1
popd
pushd xf86-video-fbdev-*
%patch71
popd
pushd xf86-video-intel-*
%patch139 -p1
%if %moblin
%patch142 -p1
%endif
%patch143 -p1
%patch144 -p1
%patch145 -p1
popd
pushd xf86-video-nv-*
%patch132 -p1
%patch133 -p1
%patch134 -p1
%patch137 -p1
popd
# xgi driver doesn't build on ppc/ppc64
%ifarch ppc ppc64
rm -rf xf86-video-xgi-*
%endif

%build
for dir in xf86-video-intel-* \
           xf86-video-nv-* \
           xf86-video-ati-* \
           $(ls -d xf86-video-* | grep -v -e xf86-video-impact \
                          -e xf86-video-intel \
                          -e xf86-video-nv \
                          -e xf86-video-mga-1.9.100 \
                          -e xf86-video-ati \
                          -e xf86-video-xgixp \
                          -e xf86-video-vga \
            ) intel-gpu-tools-*; do
  pushd $dir
    case $dir in
      xf86-video-mga-1.4.11  | \
      xf86-video-intel-* | \
      xf86-video-ati-*  | \
      xf86-video-xgixp | \
      xf86-video-nsc-*) autoreconf -fi ;;
                     *) ;;
    esac
    ./configure CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
  	              --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir}
  %{__make} %{?jobs:-j%jobs}
  popd
done

%install
for dir in xf86-video-intel-* \
           xf86-video-nv-* \
           xf86-video-ati-* \
           $(ls -d xf86-video-* | grep -v -e xf86-video-impact \
                          -e xf86-video-intel \
                          -e xf86-video-nv \
                          -e xf86-video-mga-1.9.100 \
                          -e xf86-video-ati \
                          -e xf86-video-xgixp \
                          -e xf86-video-vga \
            ) intel-gpu-tools-*; do
  make -C $dir install DESTDIR=$RPM_BUILD_ROOT
done
%ifarch %ix86
pushd xf86-video-mga-1.4.11/src
gcc -m32 \
    -o $RPM_BUILD_ROOT%{_libdir}/xorg/modules/drivers/mgahal_drv.so \
    -shared \
    .libs/mga_halmod.o .libs/clientlx.o HALlib/mgaHALlib.a \
    -Wl,-Bstatic -Wl,-Bdynamic
popd
%endif
tar xf $RPM_SOURCE_DIR/sax2-hwinfo-data.tar.gz -C $RPM_BUILD_ROOT

%clean
rm -rf "$RPM_BUILD_ROOT"

%post
/sbin/ldconfig
if ls var/lib/hardware/ids/* &> /dev/null; then
  cat var/lib/hardware/ids/* > var/lib/hardware/hd.ids
else
  rm -f var/lib/hardware/hd.ids
fi
exit 0

%postun
/sbin/ldconfig
if ls var/lib/hardware/ids/* &> /dev/null; then
  cat var/lib/hardware/ids/* > var/lib/hardware/hd.ids
else
  rm -f var/lib/hardware/hd.ids
fi
exit 0

%files
%defattr(-,root,root)
%dir /usr/share/sax
%dir /usr/share/sax/api
%dir /usr/share/sax/api/data
%dir /usr/share/sax/api/data/cdb
%dir /usr/share/sax/profile
%dir /usr/share/sax/sysp
%dir /usr/share/sax/sysp/maps
%dir /usr/share/sax/sysp/maps/update
%dir /var/lib/hardware
%dir /var/lib/hardware/ids
/usr/bin/intel_*
%{_libdir}/lib*
%{_libdir}/xorg/modules/
%{_mandir}/man1/*
%{_mandir}/man4/*
/usr/share/sax/api/data/cdb/Cards.20.%{name}
/usr/share/sax/profile/wacom-gucci-20-touch
/usr/share/sax/profile/Wham
/usr/share/sax/sysp/maps/update/Identity.map.20.%{name}
/var/lib/hardware/ids/20.%{name}

%changelog
* Thu Mar 24 2011 mchang@novell.com
- xf86-video-intel-clip-indirect-xv-output.diff
  * i915: Fix Xv video will cover windows on top it in extend
    output mode(bnc #678051, bfo #35346).
* Mon Mar 14 2011 sndirsch@novell.com
- xf86-video-intel-Give-each-user-of-tiling-separate-xorg.conf-options.patch
  * Give each user of tiling separate xorg.conf options
- xf86-video-intel-dri-Disable-page-flip-between-a-tiled-buffer-and-a-l.patch
  * dri: Disable page-flip between a tiled buffer and a linear scanout
* Mon Jan 17 2011 sndirsch@novell.com
- required now libdrm >= 2.4.23
- bumped version number to 7.4.0.1
* Sat Jan  8 2011 sndirsch@novell.com
- xf86-video-intel 2.14.0
- removed obsolete
  xf86-video-intel-i965-Fix-off-by-one-in-assert.patch
* Wed Jan  5 2011 sndirsch@novell.com
- xf86-video-intel 2.13.903
  * configure: updated m4 macro check in configure.ac
  * Remove the deprecated function 'XNFprintf'
  * i830: amalgamate consecutive composites into a single primitive
  * dri: Differentiate identical "get vblank failed" messages with line no
  * Don't replace the scanout bo through PutImage
  * dri: Protect against using dri with an non-gem pixmap
  * dri: Fix the use of the uninitialised bo for flink
  * dri: Don't wait upon a NULL current mode
  * dri: Only issue a warning for an "impossible" flip return 5 times
  * xv: Fix interlace computation
  * dri2: Fix interlace computation
  * If the crtc is not enabled, then it can't be on
  * configure: suggest upstream to find macros in case they're missing.
  * NEWS: Add entry for 2.13.903
  * configure: version bump for 2.13.903 snapshot
- xf86-video-intel-i965-Fix-off-by-one-in-assert.patch
  * i965: Fix off-by-one in assert
* Mon Dec 20 2010 sndirsch@novell.com
- xf86-video-intel 2.13.902-20101220-1ac2e04
  * Fix reporting of pageflip completion events on multi-head.
  * Check consistency of pageflip completion vblank count.
  * G35 is gen4 and not gen3
  * Undo: Disable BLT for i830 and 845G
* Wed Dec 15 2010 sndirsch@novell.com
- xf86-video-ati 6.13.2
- removed patches
  * xf86-video-ati-bug-561880-keep_crtc_enabled.diff
  * xf86-video-ati-bug431473.diff
  * xf86-video-ati-es1000.diff
- added patches
  * xf86-video-ati-theatre-pciaccess.patch
  * xf86-video-ati-theatre.patch
- adjusted patches
  * xf86-video-ati-6.7.197-r128-xvideo.patch (and reenabled)
  * xf86-video-ati-bug474071-fix2.diff
  * xf86-video-ati-bug519261-increase-virtual.diff
  * xf86-video-ati-disable-dri-bug437651-ia64only.diff
  * xf86-video-ati-ia64_screen_blank.diff
* Mon Dec 13 2010 sndirsch@novell.com
- sax2/hwinfo-data:
  * added device IDs for Sandybridge desktop/server variants
* Sun Dec 12 2010 sndirsch@novell.com
- xf86-video-intel 2.13.902
  * configure: Bump required libdrm to 2.4.23
  * NEWS: Add entry for the 2.13.902 snapshot
* Tue Dec  7 2010 sndirsch@novell.com
- xf86-video-intel 2.13.901-20101207-9b96780
  * uxa: Emit the damage after the render for the workaround in
    uxa_solid_rects
  * Always flush the batch before blocking for new X requests
  * i965: Invalidate pixmap binding location on reuse.
  * i965: The RenderCache flush after every glyph is required for
    compiz
  * i965: Mark sure we mark reused render targets as dirty
  * Revert "i965: The RenderCache flush after every glyph is
    required for compiz"
* Tue Dec  7 2010 sndirsch@novell.com
- xf86-video-intel 2.13.901-20101206-00c204a
  * snb: Restore drawrect, we need the implicit flush
  * snb: Only emit CC and DepthStencil bos once per batch
* Mon Dec  6 2010 sndirsch@novell.com
- xf86-video-intel 2.13.901-20101206-f3a47d7
  * Don't use hardware acceleration on Sandybridge rev 07 hardware
    or earlier.
  * uxa: Prevent reading past the last byte on upload/download
  * snb: Emit more invariants only once
  * snb: Cache state between composite ops
  * snb: Cache pixmap binding locations
- obsoletes xf86-video-intel-dis-hw-accel-on-SNB-rev-lt-08.diff
* Sun Dec  5 2010 sndirsch@novell.com
- xf86-video-intel 2.13.901-20101205-8abade8
  * Disable BLT for i830 and 845G
  * i965: Use reciprocal scale factors to avoid the divide per-vertex-element
  * i965: Upload an entire vbo in a single pwrite, rather than per-rectangle
  * i965: Amalgamate surface binding tables
  * Wait on the current buffer to complete when running synchronously.
  * i965: Check for potential vertex array overflow every time
  * i965: Also flush the vertex buffer when restarting the array.
  * display: Flush any pending batches before changing modes.
* Fri Nov 19 2010 sndirsch@novell.com
- xf86-video-intel-2.13.901-20101117-33c0888
  * latest intel driver, again *with* Xv and 2D acceleration
    support for SandyBridge
- obsoletes xf86-video-intel-Mark-outputs-as-DPMSModeOn-and-restore-backlight-at-modeset.patch
- xf86-video-intel-dis-hw-accel-on-SNB-rev-lt-08.diff
  * disable hardware support on SandyBridge with revision 07 and
    earlier (rev07 chips are KNOWN to have issues with multiple
    buffer queues, which the drm is using now)
* Thu Nov 18 2010 sndirsch@novell.com
- xf86-video-intel-Mark-outputs-as-DPMSModeOn-and-restore-backlight-at-modeset.patch
  * Mark outputs as DPMSModeOn and restore backlight at mode set
    The kernel always turns monitors on when doing mode setting,
    and so no further DPMS action is required. Note this in the
    mode setting code by marking the updated DPMS mode and
    restoring any saved backlight level. (bnc #650800)
* Mon Nov 15 2010 sndirsch@novell.com
- back to xf86-video-intel-2.13.0-20101015-6ec3ff1 without Xv and
  2D acceleration support, since BLT ring support for SNB is still
  considered unstable in "intel-drm-fixes" kernel
* Sat Nov 13 2010 sndirsch@novell.com
- use marketing names for SandyBridge GPUs (bnc #649645)
* Sat Nov  6 2010 sndirsch@novell.com
- xf86-video-intel 2.13.901
  * This is an intermediate snapshot of ongoing driver development.
    The primary purpose of this snapshot is to capture some recent
    improvements, (particularly in Sandybridge support), for
    further testing.
* Tue Nov  2 2010 sndirsch@novell.com
- xf86-video-intel 2.13.0-20101102-540c574
  * latest intel driver from git master
- removed obsolete patch 'xf86-video-intel-compat.diff'
* Thu Oct 21 2010 sndirsch@novell.com
- xf86-video-intel 2.13.0-20101018-a1c54f6
  * latest intel driver from git master, which fixes Sig11 when
    doing any modesetting (bnc #647568)
- obsoletes the following patches
  * xf86-video-intel-5472359.diff
  * xf86-video-intel-a1c54f6.diff
  * xf86-video-intel-fix-8784c4f.diff
* Wed Oct 20 2010 sndirsch@novell.com
- xf86-video-intel-a1c54f6.diff
  * Fix violation of gen6 requirements for depthbuffer tiling.
* Fri Oct  8 2010 sndirsch@novell.com
- xf86-video-intel-5472359.diff
  * dri: Check for pixmap privates before dereferencing them
    (bfo #30707)
* Fri Oct  8 2010 sndirsch@novell.com
- xf86-video-intel 2.13.0-20101006-1444ea3 (latest git master)
  * obsoletes the following patches
  - intel-Make-driver-compile-for-1.6-Xserver-series-again.patch
  - intel_check_kms_on_probe.diff
  - xf86-video-intel-142ffa2.diff
  - xf86-video-intel-345c963.diff
  - xf86-video-intel-8784c4f.diff
  - xf86-video-intel-buildfix.diff
  - xf86-video-intel-f63c7df.diff
  - xf86-video-intel-mbp_backlight.diff
  - xf86-video-intel-sandybridge_m_d0_unknown.diff
  * adjusted intel_monitor_ignore.diff
- xf86-video-intel-fix-8784c4f.diff
  * Fix commit #8784c4f.
- xf86-video-intel-compat.diff
  * remain compatible to xserver 1.6
- intel-gpu-tools 1.0.2-20100825-c935c60 (latest git master)
* Wed Oct  6 2010 sndirsch@novell.com
-  sax2/hwinfo-data:
  * added device IDs for Sandybridge_M_GT2_PLUS
* Sat Oct  2 2010 sndirsch@novell.com
- xf86-video-intel-142ffa2.diff
  * video/i915: ValidateGC after setting clip. Order is important.
    And ensure that the scratch GC is performing clip by children.
    Fixes "video artifacts if used dualscreen mode" (bfo #29213) /
    "Gucci 3.0 - screen corruption with textured video in a
    dualhead setup" (bnc #639211)
- xf86-video-intel-f63c7df.diff
  * Disable swap buffer wait on Sandybridge
- xf86-video-intel-345c963.diff
  * Always use tiling on Sandybridge
- xf86-video-intel-8784c4f.diff
  * video: Disable TextureAdaptor for Sandybridge
* Fri Oct  1 2010 mhopf@novell.com
- radeon: Fix dri patch on IA64.
* Fri Oct  1 2010 mhopf@novell.com
- intel: Replace series of build patches by simpler single patch.
* Fri Oct  1 2010 sndirsch@novell.com
- sax2/hwinfo-data:
  * added device IDs for Sandybridge_M_GT1/Sandybridge_M_GT2/
* Tue Aug 24 2010 sndirsch@suse.de
- moved xf86-video-intel-sandybridge_m2.diff to
  xf86-video-intel-sandybridge_m_d0_unknown.diff
  * added support for mobile Sandbridge "DO" GPU
* Fri Aug 20 2010 sndirsch@suse.de
- xf86-video-intel-sandybridge_m2.diff
  * added support for new Sandybridge mobile GPU
* Tue Jul 13 2010 mhopf@novell.com
- Update to xf86-video-intel-2.12.0.tar.bz2 (fate #310133):
  * Potentially fix many S4 issues and "execbuf while wedged" type errors
    (bnc #599671, #600044)
    (potentially bnc #613991, #616535, #621598, possibly more)
  * Major performance improvements to glyph rendering,
    software fallbacks, pixmaps, etc.
  * Better performance when using large windows
  * Avoiding migration ping-pong with gigantic drawing
  * Fix DRI2 handling, tiling, page-flipping bugs
  * Fix garbled fonts, SDL, black borders on images, etc.
  * Fix corruption with extended desktops, rotated screens
  * Fix corruption due to missing flush, tearing, etc.
  * Fix X crashes in flash
  * Fix cairo test cases
  * Code cleanups
* Fri Jun 11 2010 sndirsch@suse.de
- added SaX2 based wacom driver configuration for HP touchscreens
  on Gucci 3.0 (bnc #612669)
* Thu Apr  1 2010 sndirsch@suse.de
- fixed display resolution for Wham panel (bnc #593001)
* Wed Mar 24 2010 sndirsch@suse.de
- added missing sax2/hwinfo meta data for Intel G41/Pineview G/B43
  (bnc #583161)
* Tue Mar 23 2010 sndirsch@suse.de
- xf86-video-mga-commit-3f215b6.diff
  * Added support for G200EH (bnc #590505, FATE #307152)
* Thu Feb 11 2010 mhopf@novell.com
- intel_monitor_ignore.diff
  * Add patch that got missed during update (bnc #514184)
* Wed Jan 13 2010 sndirsch@suse.de
- xf86-video-ati-bug431473.diff
  * added a few more 'DELL/HP triple-head server' machines, which
    need a special setup (bnc #431473, bnc #548216)
* Mon Jan  4 2010 sndirsch@suse.de
- xf86-video-intel 2.10.0
  * minor change to the configure script, and some small updates
    to the documentation since 2.9.99.902
* Wed Dec 16 2009 sndirsch@suse.de
- xf86-video-nv-commit-99ed1c8.diff
  * New board names
- sax2/hwinfo-data:
  * added device IDs for new NVIDIA boards
* Tue Dec 15 2009 mhopf@novell.com
- xf86-video-ati-bug-561880-keep_crtc_enabled.diff:
  200M crashes if CRTCs are disabled.
* Fri Dec 11 2009 sndirsch@suse.de
- xf86-video-intel 2.9.99.902 (2.10.0 RC2)
- obsoletes moblin-2009Q2-rc2-incremental.patch
* Wed Dec  9 2009 sndirsch@suse.de
- added SaX2 based wacom driver configuration for HP touchscreen
  (bnc #544763)
* Wed Dec  2 2009 sndirsch@suse.de
- xf86-video-intel 2.9.99.901 (2.10.0 RC1)
  * support for new chipsets, among these is Ironlake
  * removes UMS support (KMS only now)
  * obsoletes xf86-video-intel-G33-1mb.diff,
    xf86-video-intel-NoFBC-945GME.diff,
    xf86-video-intel-bfo17988.diff,
    moblin-uxa-Fix-segfault-on-source-only-picture-usage.patch
  * adjusted moblin-dump-tools.patch,
    xf86-video-intel-buildfix.diff
* Tue Dec  1 2009 sndirsch@suse.de
- baselibs.conf: removed video drivers from xxbit packages
* Sun Nov 29 2009 sndirsch@suse.de
- xf86-video-nv-commit-f050096.diff/
  xf86-video-nv-commit-b30ec38.diff
  * support for new G80 boards
- sax2/hwinfo-data:
  * added device IDs for GeForce GT 220/230M/240M
* Mon Nov 23 2009 sndirsch@suse.de
- sax2/hwinfo-data:
  * added device IDs for Intel Ironlake (FATE #306789)
* Thu Nov 19 2009 sndirsch@suse.de
- disabled build of xgi driver on ppc/ppc64
* Wed Nov 18 2009 sndirsch@suse.de
- This xorg-x11-driver-video package update is part of the X stack
  update for SLE11-SP1 (FATE #307236)
* Tue Nov 17 2009 sndirsch@suse.de
- xf86-video-mga-commit-5d4144e.diff
  * Removed DDC1 support for G200eW (requested by Matrox, i.e.
    Yannick Heneault <yheneaul@matrox.com>)
* Tue Nov 10 2009 sndirsch@suse.de
- sax2/hwinfo-data:
  * added device IDs for XGI Volari Z9s (FATE #307893)
  * fixed suffix (missing "0x") of device ID for several entries
* Tue Nov 10 2009 sndirsch@suse.de
- updated xf86-video-xgi to release 1.5.1 and reenabled build;
  adjusted xf86-video-xgi.diff (FATE #307893)
* Mon Oct 26 2009 sndirsch@suse.de
- xf86-video-intel 2.9.1
  * a few, hand-picked bug fixes since that 2.9.0 release
- obsoletes xf86-video-intel-commit-02fe9be6.diff,
  xf86-video-intel-bnc545499-commit_57fc09c.diff
* Wed Oct 14 2009 sndirsch@suse.de
- adjusted 'copy-fb.patch' to current driver sources to fix build
  on Moblin
* Mon Oct 12 2009 mhopf@novell.com
- xf86-video-intel-Regression-bnc545499-commit_57fc09c-avoid_fallbacks_for_a1_srcmask.diff:
  * Remove new functionality that introduced regression.
* Sat Oct 10 2009 sndirsch@suse.de
- xf86-video-intel-commit-02fe9be6.diff
  * reverts git commit 02fe9be6, which resulted in a regression
    (bnc #544185)
* Tue Sep 29 2009 sndirsch@suse.de
- xf86-video-intel 2.9.0
  * this release is identical to the 2.8.99.902 release candidate
    other than the version number
* Wed Sep 23 2009 sndirsch@suse.de
- xf86-video-intel 2.8.99.902
  * Support for the B43 chipset.
  * Multiple fixes to make the driver stable for 8xx chipsets,
    (855GM, 865G, etc.). The 2.8 driver series was extremely
    unstable with many of these chipsets. (bfo #22904/22947)
  * Add support for BACKLIGHT property when using kernel
    modesetting (KMS). This allows backlight adjustment with
    programs such as "xbacklight -set <percentage>" or
    "xrandr --set BACKLIGHT <value>". (bfo #20963)
  * Fix so that "xrandr --scale" works when using KMS. (bfo #22893)
  * Fix segfaults of X server when logging out. (bfo #20516)
  * Avoid falling back to software for 1-bit alpha-only masks.
  (bfo #23184)
  * Fix pixel sampling position for 8xx chipsets, (fixes some
    cairo-test suite failures).
- obsoletes several patches
  * moblin-reset-pos-for-rotate-fb.patch
  * xf86-video-intel-Add-BACKLIGHT-property-support-in-KMS-case.patch
  * xf86-video-intel-Add-new-backlight-driver-samsung.patch
  * xf86-video-intel-brightness-addon.patch
* Wed Sep 23 2009 sndirsch@suse.de
- xf86-video-ati 6.12.4
  * numerous fixes backported from master over the last few months
  * supports PCI IDs for some new hardware
* Mon Sep 14 2009 mhopf@novell.com
- bug519261-increase-virtual.diff for radeon and nv:
  * Increase virtual on startup if enough Gfx RAM is available.
* Thu Sep  3 2009 mhopf@novell.com
- Update xf86-video-intel-brightness-addon.patch to match upstream changes:
  * Remove "Also write to bl_power when setting brightness."
  * Add "Don't set backlight level if going on->on."
  Fixes issues with backlight level saving and DPMS.
* Wed Aug 26 2009 sndirsch@suse.de
- xf86-video-intel 2.8.1
  * Align the height of untiled pixmaps to 2 lines as well.
  * Replace existing EDID property blob with new one
  * Only align DRI2 tiled pixmaps to the DRI2 tiled pixmap
    alignment requirement (fixes bfo #21387).
  * Calculate the DVO relative offset in LVDS data entry to get the
    DVO timing (fixes bfo #22787 and Debian bug #538148).
  * Fix sampler indexes on i965 planar video, (fixes bfo #22895
    and bfo #19856).
* Thu Aug 20 2009 sndirsch@suse.de
- xf86-video-chips 1.2.2
  * Remove useless loader symbol lists.
  * Remove xorgconfig & xorgcfg from See Also list in man page
  * chips: update for resources/RAC API removal
  * chips: change to using ABI version check
  * Fix PCI card probe and chipset detection.
* Tue Aug 18 2009 sndirsch@suse.de
- xf86-video-intel-brightness-addon.patch
  * This is an addon patch for previous backlight patches to fix
    some minor issues (get_properties was not implemented,
    BACKLIGHT property doesn't fit name standardization, some
    quirks possible with DPMS, backlight not necessarily powered
    off). Note that this is pretty much untested, so it isn't
    applied for the Moblin yet.
* Mon Aug 17 2009 sndirsch@suse.de
- xf86-video-intel-Add-BACKLIGHT-property-support-in-KMS-case.patch/
  xf86-video-intel-Add-new-backlight-driver-samsung.patch
  * new kernel based backlight patches for Samsung N130 (bnc #527533)
- obsoletes xf86-video-intel-2.8.0-backlight.diff
* Fri Aug 14 2009 mhopf@novell.com
- xf86-video-intel-2.8.0-backlight.diff
  Add legacy + kernel based backlight control to intel driver
  in KMS case (BACKLIGHT RandR property) (bnc #527533).
  To be superseeded by kernel based fix.
* Thu Aug 13 2009 sndirsch@suse.de
- xf86-video-intel 2.8.0.901
  * Allow DRM mode setting to include transformations (also requires
    a fix in the X server - available in xserver 1.6.3)
  * Align tiled pixmap height so we don't address beyond the end of
    our buffers.
- obsoletes xf86-video-intel-bnc524304.diff
* Wed Aug  5 2009 sndirsch@suse.de
- xf86-video-trident 1.3.3
- xf86-video-siliconmotion 1.7.3
* Tue Aug  4 2009 sndirsch@suse.de
- removed obsolete xf86-video-voodoo-1.2.2.tar.bz2
* Tue Aug  4 2009 eich@suse.de
- Resynced with patches from Intel's Moblin project.
- Updated patches to apply cleanly again.
- Resynced with patches from Moblin:Base
* Thu Jul 30 2009 sndirsch@suse.de
- fixed build on %%ix86
* Thu Jul 30 2009 sndirsch@suse.de
- xf86-video-apm 1.2.2
- xf86-video-ast 0.89.9
- xf86-video-cirrus 1.3.2
- xf86-video-fbdev 0.4.1
- xf86-video-glint 1.2.4
- xf86-video-i128 1.3.3
- xf86-video-i740 1.3.2
- xf86-video-mach64 6.8.2
- xf86-video-mga 1.4.11
- xf86-video-neomagic 1.2.4
- xf86-video-r128 6.8.1
- xf86-video-s3 0.6.3
- xf86-video-s3virge 1.10.4
- xf86-video-savage 2.3.1
- xf86-video-sis 0.10.2
- xf86-video-sisusb 0.9.3
- xf86-video-tdfx 1.4.3
- xf86-video-vesa 2.2.1
- xf86-video-voodoo 1.2.3
* Thu Jul 30 2009 sndirsch@suse.de
- removed patches, which are no longer in use, from source package:
  * Free-front-buffer-bo-when-X-exit.patch
  * eeetop_sdvo_lvds.patch
* Wed Jul 29 2009 sndirsch@suse.de
- xf86-video-vmware 10.16.7
  * Fix black screen after resume from hibernate.
  * An imperfect fix for Xinerama state changes without a mode
    change
* Mon Jul 27 2009 davidr@novell.com
- Fix RANDR transfomations. (bnc#524304)
* Tue Jul 21 2009 sndirsch@suse.de
- xf86-video-intel 2.8.0
  * We are pleased to present this major release of the
    xf86-video-intel driver. This release is very similar
    to the 2.7.99.902 release candidate but includes a
    couple of additional bug fixes, (for bugs #22760 and
    @22483).
- obsoletes xf86-video-intel-commit-e386e7b.diff
* Sat Jul 18 2009 sndirsch@suse.de
- xf86-video-intel 2.7.99.902
  * This is the second release candidate in preparation for the
    upcoming 2.8.0 release. Most major and critical bugs should
    be fixed, but some minor bugs may still be present. We will
    appreciate any feedback we can get from testing of this
    snapshot to improve the 2.8.0 release.
- obsoletes Free-front-buffer-bo-when-X-exit.patch,
  eeetop_sdvo_lvds.patch
- xf86-video-intel-buildfix.diff
  * trivial buildfix
- xf86-video-intel-commit-e386e7b.diff
  * Reset framebuffer offset when rebinding aperture
* Sat Jul  4 2009 sndirsch@suse.de
- xf86-video-dummy 0.3.2
- xf86-video-glint 1.2.3
- xf86-video-i128 1.3.2
- xf86-video-i740 1.3.1
- xf86-video-neomagic 1.2.3
- xf86-video-rendition 4.2.2
- xf86-video-s3 0.6.2
- xf86-video-s3virge 1.10.3
- xf86-video-savage 2.3.0
- xf86-video-siliconmotion 1.7.2
- xf86-video-sisusb 0.9.2
- xf86-video-tdfx 1.4.2
- xf86-video-trident 1.3.2
- xf86-video-tseng 1.2.2
- xf86-video-voodoo 1.2.2
- xf86-video-nv 2.1.14
  * obsoletes xf86-video-nv-2.1.13_68c2914.diff,
    xf86-video-nv-68c2914_05d2b85.diff
* Sat Jun 27 2009 sndirsch@suse.de
- finally get rid of 'nvidia' dummy module; obsoleted by automatic
  driver selection in Xserver now (nvidia --> nouveau --> nv)
* Sat Jun 27 2009 sndirsch@suse.de
- xf86-video-nv-68c2914_05d2b85.diff
  * More new chips
* Fri Jun 19 2009 sndirsch@suse.de
- xf86-video-geode 2.11.3
- xf86-video-nv-2.1.13_68c2914.diff
  * Remove useless loader symbol lists.
  * New chip support.
  * Fix modesets on certain GPUs that were broken by the previous
    commit.
- obsoletes xf86-video-nv-2.1.13_c8d6f7a.diff
* Thu Jun 11 2009 sndirsch@suse.de
- use copy-fb.patch only for Moblin, since it requires
  xserver-1.5.0-bg-none-root.patch in xorg-x11-server, which is
  also only applied on Moblin
* Tue Jun  2 2009 eich@suse.de
- Integrated Intel driver fixes from the Moblin Project
  * Support for 'rootless' X: option -nb.
  * BIOS and register dumper for Intel.
  * Support for fixed LVDS modes.
  * Free frontbuffer when X exits.
  * Copy initial framebuffer contents when starting with -br.
* Tue Jun  2 2009 sndirsch@suse.de
- xf86-video-vmware 10.16.6
  * various fixes
* Wed May 20 2009 sndirsch@suse.de
- intel-gpu-tools 1.0.1
  * This release was inspired by going to roll a debian package for
    intel-gpu-tools and realizing I had no manpages. Whoops. And
    since I was in the directory, I decided to clean up some things
    that were bothering me about intel_gpu_dump output.
* Sat May 16 2009 sndirsch@suse.de
- xf86-video-nv-2.1.13_c8d6f7a.diff
  * More chip names. Add support for the following previously
    unsupported chips:
  - 0x0658 - Quadro FX 380
  - 0x0659 - Quadro FX 580
  - 0x065C - Quadro FX 770M
- sax2/hwinfo-data:
  * added new chip names
  * GeForce 9800 GTK+ --> GeForce 9800 GTX+
* Fri May 15 2009 sndirsch@suse.de
- xf86-video-newport 0.2.2
  * Use "no" bus, not ISA
  * Bug#11761: Fix xaa initialization
- obsoletes xf86-video-newport.diff
* Thu May 14 2009 sndirsch@suse.de
- back to xf86-video-cirrus 1.2.1 (bnc #503846)
* Wed May 13 2009 sndirsch@suse.de
- xf86-video-intel 2.7.1
  * This is a maintenance release on the 2.7 branch. Compared to
    2.7.0 it consists only of a few carefully hand-picked fixes
    for bugs, (including GPU crashers). We encourage all users of
    2.7.0 to upgrade to 2.7.1.
* Tue May 12 2009 sndirsch@suse.de
- xf86-video-geode 2.11.2
  * fix various EXA issues
* Thu May  7 2009 sndirsch@suse.de
- xf86-video-cirrus 1.3.0
  * This release adds support for building against Xorg 1.6, but
    drops support for building against Xorg 1.3 and older.
* Thu May  7 2009 sndirsch@suse.de
- xf86-video-nv-2.1.3_29acf7c.diff
  * Fix a dumb typo in the chip name entry for the GeForce 9800 GTX+
  * G80: Fix incorrect I2C port access for ports above 3
* Wed May  6 2009 sndirsch@suse.de
- no longer require xorg-x11-driver-video-radeonhd
* Wed May  6 2009 sndirsch@suse.de
- added 'Supplements: xorg-x11-server'
* Thu Apr 30 2009 sndirsch@suse.de
- instead of providing do require VIDEO_ABI_VERSION to fix
  dependancy loop
* Thu Apr 30 2009 sndirsch@suse.de
- provide VIDEO_ABI_VERSION = 5 (required by xorg-x11-server)
* Thu Apr 30 2009 sndirsch@suse.de
- xf86-video-mach64 6.8.1
  * Make sure the screen is a mach64 screen before doing anything
    in ATIMach64XVInitialiseAdaptor.
  * Don't print the resource list on failure.
  * Add README with pointers to mailing list, bugzilla & git repos
  * Convert to XORG_CWARNFLAGS & XORG_CHANGELOG
  * Remove xf86{Disable,Enable}Interrupts
* Wed Apr 29 2009 sndirsch@suse.de
- fixed build on %%ix86
* Tue Apr 28 2009 sndirsch@suse.de
- xf86-video-siliconmotion 1.7.1
  * various driver fixes
* Tue Apr 28 2009 sndirsch@suse.de
- intel-gpu-tools 1.0
  * This little package is an amalgamation of a few things:
  - miscellaneous userland tools that don't really fit into the
    2D driver tree
  - standalone regression tests for the DRM (make check)
  - microbenchmarks of the DRM for kernel performance regression
    testing
* Mon Apr 27 2009 sndirsch@suse.de
- xf86-video-mga 1.4.10
- obsoletes xf86-video-mga-01e60b3.diff,
  xf86-video-mga-ba37697.diff
* Thu Apr 16 2009 sndirsch@suse.de
- xf86-video-intel 2.7.0
  * We encourage users to use kernel modesetting and UXA
    acceleration with this release, which should give the best
    performance and robustness. When KMS is available, UXA is the
    default acceleration used by the driver, (EXA is the default
    otherwise).
* Sat Apr 11 2009 sndirsch@suse.de
- xf86-video-intel 2.6.99.903
  Third release candidate in preparation for the upcoming 2.7.0
  release. Main improvements since the 2.6-series driver include:
  * SDVO-TV support, available on ADD2 card (bug#9992) and
    D945GCLF2 board (bug#17776).
  * Basic SDVO-LVDS support
  * Tearing-free xv (bug#19635)
  * For for panel startup failure on some specific laptop models
    (bug#17292) and various fixes for UXA/DRI2 and Kernel
    Modesetting.
* Wed Apr  8 2009 sndirsch@suse.de
- xf86-video-ati 6.12.2
  * lots of bug fixes
  * r2xx/r3xx textured video improvements from Roland
* Tue Apr  7 2009 sndirsch@suse.de
- xf86-video-nv 2.1.13
  * Remove README.NV1. There's no nv1 support here, so.
- obsoletes xf86-video-nv.diff
* Fri Mar 20 2009 sndirsch@suse.de
- xf86-video-nv.diff
  * Remove xorgconfig & xorgcfg from See Also list in man page
  * Add README with pointers to mailing list, bugzilla & git repos
  * Add NV_/RIVA_ prefixes to fix build warnings.
  * Build fix: set EXA_DRIVER_KNOWN_MAJOR=3
  * Revert "Build fix: set EXA_DRIVER_KNOWN_MAJOR=3"
  * Add missing pci id for GeForce 7100 GS
- sax2/hwinfo-data:
  * added GeForce 7100 GS as supported by nv driver
* Fri Mar 20 2009 sndirsch@suse.de
- xf86-video-i740 1.3.0
  * Uncomment DDC2 code, move it before mode validation so DDC has
    some effect.
* Thu Mar 19 2009 sndirsch@suse.de
- xf86-video-ati 6.12.1
  * Fix some fall out from the r6xx/r7xx merge and fix load
    detection on avivo chips.
* Sat Mar 14 2009 sndirsch@suse.de
- xf86-video-ati 6.12.0
  * Big changes here are EXA and Xv support for R6xx/R7xx chips.
    Requires an updated drm.  Other than that, mostly bug fixes.
* Wed Mar 11 2009 sndirsch@suse.de
- removed obsolete patch 'xf86-video-intel-commit-73aa23d.diff'
* Tue Mar 10 2009 sndirsch@suse.de
- switched from xf86-video-intel 2.6.99.1 (master branch) to
  xf86-video-intel 2.6.99.901 (2.7 branch)
* Tue Mar 10 2009 sndirsch@suse.de
- xf86-video-intel 2.6.99.1 (prerelease)
- obsoletes xf86-video-intel-bug18462.diff
* Mon Mar  9 2009 sndirsch@suse.de
- removed xf86-video-intel-sdvo_detect.diff due to a severe
  regression in G45 startup (bnc #480374)
* Sun Mar  8 2009 sndirsch@suse.de
- disable xf86-video-intel-commit-73aa23d.diff due to a Sig11
  during Xserver start for now
* Sat Mar  7 2009 sndirsch@suse.de
- xf86-video-intel-commit-73aa23d.diff
  * DRI1: Update sarea (and other information) when CRTC
    configuration changes (bfo #14423, bfo #18100)
* Wed Mar  4 2009 sndirsch@suse.de
- no longer require xorg-x11-driver-video-unichrome; use Supplements
  in xorg-x11-driver-video-unichrome instead (bnc #481569)
* Tue Mar  3 2009 sndirsch@suse.de
- xf86-video-ast 0.88.8
- xf86-video-intel 2.6.3
* Fri Feb 27 2009 sndirsch@suse.de
- xf86-video-sisusb 0.9.1
- disabled build of mga-1.9.100, vga, xgi
- xf86-video-nsc-noasm.diff
  * disabled asm optimization on %%ix86 (apparently assyntax.h has
    been removed from xorg-server 1.6 sources)
- xf86-video-newport.diff/xf86-video-fbdev.diff
  * build fixes
* Thu Feb 26 2009 sndirsch@suse.de
- xf86-video-apm 1.2.1
- xf86-video-ark 0.7.1
- xf86-video-ast 0.87.0
- xf86-video-ati 6.11.0
  * disabled xf86-video-ati-es1000.diff for now; already obsolete?
- xf86-video-chips 1.2.1
- xf86-video-dummy 0.3.1
- xf86-video-geode 2.11.1
- xf86-video-glint 1.2.2
- xf86-video-neomagic 1.2.2
- xf86-video-rendition 4.2.1
- xf86-video-s3 0.6.1
- xf86-video-s3virge 1.10.2
  * obsoletes xf86-video-s3virge.diff
- xf86-video-siliconmotion 1.7.0
- xf86-video-sis 0.10.1
- xf86-video-tdfx 1.4.1
- xf86-video-trident 1.3.1
- xf86-video-tseng 1.2.1
- xf86-video-vesa 2.2.0
  * obsoletes xf86-video-vesa_verbose.diff
- xf86-video-voodoo 1.2.1
* Wed Feb 25 2009 sndirsch@suse.de
- xf86-video-intel 2.6.2
  * Here comes a pretty significant bugfix release for the 2.6 2D
    series.  The goal of this release is to get out the major fixes
    for GEM and KMS that we think we've pounded on enough to be stable
  - - certainly more stable than previously.  Notable fixes include a
    significant BO memory usage reduction (which many have suffered
    from with compositing), textured XV suppor twith KMS, and rotation
    support with KMS.  Some infrequent failure to render/xv with GEM
    on 965 (dmesg warnings about being unable to bind objects) should
    also be fixed.
    But perhaps the exciting thing for most people will be the dynamic
    front buffer allocation.  We nearly slipped this into 2.6.0, but
    decided that it was just a little too new.  Well, turns out it was
    actually in good shape, and it's time to get it out there.  You'll
    need UXA to do this.
- obsoletes xf86-video-intel-nottm.diff, xf86-video-intel-SDVO_LVDS.diff,
  xf86-video-intel-commit-1e974ff.diff
- adjusted xf86-video-intel-bug18462.diff
* Wed Feb 25 2009 sndirsch@suse.de
- xf86-video-ati-ia64_screen_blank.diff
  * fixes console screen blanking on IA64 (bnc #155646)
* Tue Feb 24 2009 sndirsch@suse.de
- xf86-video-ati-bug474071-fix2.diff
  * fixes driver issue of bnc #474071
* Mon Feb 23 2009 sndirsch@suse.de
- xf86-video-intel-bfo17988.diff
  * disables update_dsparb function for 945GM (bfo #17988)
* Thu Feb  5 2009 sndirsch@suse.de
- xf86-video-intel-sdvo_detect.diff
  * supposed to fix external output detection on Macbooks; only
    applied on openSUSE > 11.1 for now (bnc #425252)
* Mon Feb  2 2009 sndirsch@suse.de
- xf86-video-intel-commit-1e974ff.diff
  * Try to always probe SDVOC on 965G/965GM. Detect bit of SDVOC
    is reserved on 965G/965GM, instead of ignore SDVOC this trys
    to always probe it on these chipsets. (bfo #19770)
* Fri Jan 23 2009 sndirsch@suse.de
- added intel-i810-xorg-x11, xorg-x11-driver-video-intel to
  Provides/Obsoletes, i.e. get rid of SLE10 packages (bnc #468796)
* Wed Jan 14 2009 mhopf@suse.de
- xf86-video-ati-disable-dri-bug437651-ia64only.diff
  Disable DRI by default on IA64 (bnc #437651)
* Wed Jan 14 2009 sndirsch@suse.de
- xf86-video-vesa_DefaultRefresh.diff
  * vesa: Use DefaultRefresh by default due to VBE 3.0 often
    wrongly implemented.
* Mon Jan 12 2009 sndirsch@suse.de
- sax2/hwinfo-data:
  * added Intel G41 as supported by intel driver
  * use "EXANoComposite" option for Intel G4X/GM45; fixes various
    Xserver crashes and shouldn't harm desktop performance
* Mon Jan 12 2009 sndirsch@suse.de
- xf86-video-intel-SDVO_LVDS.diff
  * Add support for SDVO LVDS (bfo #18495)
* Mon Jan  5 2009 sndirsch@suse.de
- xf86-video-intel-NoFBC-945GME.diff
  * After some hours VGA external display stops working on
    945GME with FBC enabled. Thus disable it. For more details see:
    http://bugs.freedesktop.org/show_bug.cgi?id=18821 (bnc #457623)
* Mon Jan  5 2009 sndirsch@suse.de
- add excludearch s390 s390x
* Tue Dec 23 2008 sndirsch@suse.de
- xf86-video-ati-es1000.diff
  * version11: "Probably, I should apply the patch for 7000ve too,
    just a little change. For IBM issue, driver will take care of
    all modes validation, including monitor modes and graphics
    modes and so on. Although it's xorg.conf responsibility.
* Sun Dec 21 2008 sndirsch@suse.de
- updated geode driver to release 2.11.0 (bnc #457182)
* Fri Dec 19 2008 sndirsch@suse.de
- xf86-video-ati-es1000.diff
  * version10: Fix potential bug, if VGA is not connected DVI
    maybe black; fix memory leak.
* Thu Dec 18 2008 sndirsch@suse.de
- xf86-video-ati-es1000.diff
  * version8: includes new patch for black screen; root cause is
    that for some monitors, xserver can't pick a CRTC for VGA
    output, because of hw's limitation, now just cheat xserver.
    Tested on SLES11 with IBM machine, DELL machine, and new
    Xserver.
* Mon Dec 15 2008 sndirsch@suse.de
- sax2/hwinfo-data:
  * renamed "G200 WB" to "G200 eW" (request by Matrox)
* Mon Dec 15 2008 sndirsch@suse.de
- xf86-video-intel-bug18462.diff (bfo #18462)
  * Remove Cappuccino SlimPRO SP625F 855GM LVDS quirk. It breaks
    bug #18462 on IBM 855GM with same subdevice ids.
  * Try to add LVDS detect support.
    This one trys to use lid status for LVDS detect,
    which works when internal panel is not used as primary
    display alone, or there's no internal panel at all.
    ACPI button driver's lid state interface is preferred,
    and SWF state is also checked if ACPI method failed.
  * Let lid status be unknown if no acpi lid object found.
* Mon Nov 24 2008 sndirsch@suse.de
- xf86-video-ati-es1000.diff
  * version7: treat 7000ve as RN50 (bnc #429901, Cooper Yuan, AMD)
  * fixes serious regression for non RN50/7000VE Radeon cards
    (bnc #448075)
* Fri Nov 21 2008 sndirsch@suse.de
- xf86-video-mga-ba37697.diff
  * Fixed PLL m,n,p selection for G200eW to respect byte
    granularity.
  * Renamed G200 eW Winbond ID string to Nuvoton.
  * Added EV suffix to G200 Maxim.
  * Blocked double scan mode for G200 eW.
  * Fixed memory bandwidth limitation for G200eW to 318.77 Mhz.
  * Added a workaround (blit 1x1 with rop=xor) to fix the black
    screen problem for G200eW.
- xf86-video-mga-01e60b3.diff
  * fixed winbond/nuvoton min pll clock to correct value (18.75Mhz)
* Thu Nov 20 2008 sndirsch@suse.de
- xf86-video-ati-es1000.diff
  * version6: should also cover 7000VE
    (bnc #429901, Cooper Yuan, AMD)
* Tue Nov 18 2008 sndirsch@suse.de
- xf86-video-ati-es1000.diff
  * version5: now again with verbose output
    (bnc #429901, Cooper Yuan, AMD)
* Tue Nov 18 2008 sndirsch@suse.de
- sax2/hwinfo-data:
  * added missing GeForce 8600 GT, GeForce 8400 GS,
    GeForce 8800 GS/GT devices (bnc #445549)
* Fri Nov 14 2008 schwab@suse.de
- xf86-video-ati: Fix unaligned function pointers.
* Thu Nov 13 2008 sndirsch@suse.de
- xf86-video-ati-es1000.diff
  * version4: verbose output removed
    (bnc #429901, Cooper Yuan, AMD)
* Wed Nov 12 2008 sndirsch@suse.de
- xf86-video-ati-es1000.diff
  * version3: verbose output to help validating
    (bnc #429901, Cooper Yuan, AMD)
* Tue Nov 11 2008 sndirsch@suse.de
- xf86-video-ati-es1000.diff
  * version2: supposed to address remaining issues on ES1000
    (bnc #429901, Cooper Yuan, AMD)
* Mon Nov 10 2008 sndirsch@suse.de
- xf86-video-ati-es1000.diff
  * supposed to fix blank screen + dead Linux console on ES1000
    (bnc #429901, Cooper Yuan, AMD)
* Fri Nov  7 2008 sndirsch@suse.de
- kernel patch obsoletes xf86-video-intel-commit-4dd0068.diff,
  xf86-video-intel-commit-7ddea04.diff (bnc #437618)
* Mon Nov  3 2008 sndirsch@suse.de
- xf86-video-nv.diff
  * Adjust the nv34 panel tweak for Toshiba Tecra M2.
  * Do E-EDID if built against a server that supports it.
* Thu Oct 30 2008 sndirsch@suse.de
- xf86-video-intel-G33-1mb.diff
  * fix 1MB issue on Intel Onboard Graphics G33 (bnc #391261)
* Wed Oct 29 2008 sndirsch@suse.de
- xf86-video-intel-commit-7ddea04.diff
  * revert commit 7ddea04, which broke Xserver start at least on
    Intel G4X/i386 (bnc #439865)
- xf86-video-intel-commit-4dd0068.diff
  * revert commit 4dd0068, which broke Xserver start at least on
    Intel G4X/i386 (bnc #439865)
* Tue Oct 28 2008 sndirsch@suse.de
- removed xf86-video-intel-memleak.diff, which resulted in a
  Xserver crash (bnc #439642)
* Sun Oct 26 2008 sndirsch@suse.de
- specfile cleanup
* Fri Oct 24 2008 sndirsch@suse.de
- xf86-video-intel-memleak.diff
  * fixes memory leak (bnc #432595, comment #22)
- package provides/obsoletes 855resolution/915resolution now
  (bnc #438753)
* Tue Oct 21 2008 sndirsch@suse.de
- xf86-video-intel 2.5.0
  * Enable Option "Legacy3D" for 965 as well, and clarify both the
    docs and code.
  * Merge branch 'master' into xf86-video-intel-2.5-branch
  * Check for DRI module before initializing GEM mm
  * Remove accidental 'return;' left at the top of
    I830DRIInitBuffers
  * No need to check for drmCommandWriteRead; we link against
    libdrm
  * Reduce incidence of MI_FLUSH usage.
  * Use pipes, not planes for sarea geometry data
* Sun Oct 19 2008 sndirsch@suse.de
- xf86-video-intel 2.4.98
  * smoke test for 2.5.0 release planned for Mon Oct 20
- obsoletes xf86-video-intel-vbe_noinit.diff
- obsoletes xf86-video-intel-crt-mode-fix.diff
* Sat Oct 18 2008 sndirsch@suse.de
- xf86-video-nv.diff
  * Only match PCI display devices in our display driver.
    Apparently the server needs the driver to tell it that no, we
    really don't want screen sections on our NIC, USB hubs, bridge
    devices, etc. Stop whining about PROBE_DETECT in G80 PreInit
    and just bail out instead. bfo #18099: Xorg -configure tries
    to create a screen for every nvidia device
* Fri Oct 17 2008 sndirsch@suse.de
- specfile cleanup: only extract tarballs with 'xf86-video-' prefix
* Thu Oct  9 2008 sndirsch@suse.de
- xf86-video-intel 2.4.97.0_2.5-branch_ffcbbb0
  * Intel-2008-Q3-RC3 release
* Tue Oct  7 2008 sndirsch@suse.de
- xf86-video-mga-hal.diff
  * renamed "mga_hal" module to "mgahal" to fix "X -configure"
    (bnc #428189)
* Tue Oct  7 2008 sndirsch@suse.de
- xf86-video-intel 2.4.97.0_2.5-branch_979bb10
  * latest git commit of 2.5-branch
- obsoletes xf86-video-intel-commit-fa2586a.diff
* Tue Oct  7 2008 sndirsch@suse.de
- xf86-video-intel-crt-mode-fix.diff
  * Fix memory corruption in intel driver (bnc #432595,
    Takashi Iwai)
* Sun Oct  5 2008 sndirsch@suse.de
- xf86-video-intel-commit-fa2586a.diff
  * Use VBT LFP info pointers by default. On some machines it
    appears that the LFP info pointers give us more accurate panel
    info than if we index into the LFP data table using the panel
    type index.  Early reports indicate that using the pointers
    doesn't cause regressions, so switch to them by default to help
    8xx machines. Fixes bug 17310 (and hopefully 17658 too).
    (bnc #432422)
* Thu Oct  2 2008 sndirsch@suse.de
- xf86-video-mga-g200se-swcursor.diff
  * Disable HWCursor on G200SE to make the cursor visible on
    remote video redirection (bnc #431311)
* Fri Sep 26 2008 sndirsch@suse.de
- xf86-video-intel-vbe_noinit.diff
  * Remove VBE initialization from Intel driver. It's no longer
    necessary to initialize VBE as this driver no longer calls
    into VBE. (Egbert Eich)
* Fri Sep 26 2008 sndirsch@suse.de
- xf86-video-intel 2.4.97.0_2.5-branch_8408995
  * Intel-2008-Q3-RC2 release
* Wed Sep 24 2008 sndirsch@suse.de
- xf86-video-intel 2.4.97.0_2.5-branch_043b6e7
  * Intel-2008-Q3-RC1 release
- obsoletes xf86-video-intel-fca7a4e.diff
* Mon Sep 22 2008 sndirsch@suse.de
- updated vga driver to git commit 97e2d12 (2008-08-17)
  * Add libpciaccess and remove xf1bpp and xf4bpp support.
  (bnc #428189)
- xf86-video-nsc.diff
  * Convert nsc driver for libpciaccess.
  (bnc #428189)
* Fri Sep 19 2008 sndirsch@suse.de
- xf86-video-vesa_verbose.diff
  * VESASetMode: be verbose about the mode that's being set.
* Thu Sep 11 2008 sndirsch@suse.de
- bumped release number to 7.4
* Thu Sep  4 2008 sndirsch@suse.de
- xf86-video-i128 1.3.1
  * Don't store pScrn->monitor->DDC manually, let
    xf86SetDDCproperties do it.
  * Compile warning fixes.
  * Replace calls to xf86usleep with calls to usleep and include
    unistd.h.
* Thu Sep  4 2008 sndirsch@suse.de
- xf86-video-vmware 10.16.5
  * Video Overlay: Handle clipping correctly with AutoPaint colorkey.
  * Add RegionEqual function for older XFree86 versions
* Wed Sep  3 2008 sndirsch@suse.de
- xf86-video-tga 1.2.0
  * pciaccess conversion
- reenabled build of xf86-video-tga driver
* Wed Sep  3 2008 sndirsch@suse.de
- xf86-video-intel-fca7a4e.diff
  * Pipe A force quirk for Toshiba Satellite A30 (bnc #417587)
* Thu Aug 28 2008 sndirsch@suse.de
- xf86-video-nv 2.1.12
  * G80: Fix a CPUToScreenColorExpandFill bug introduced by commit
    2e0416c.
* Wed Aug 27 2008 sndirsch@suse.de
- xf86-video-nv 2.1.11
  * One more missing GPU name ("GeForce 9500 GT")
- obsoletes xf86-video-nv.diff
* Tue Aug 26 2008 sndirsch@suse.de
- xf86-video-nv.diff
  * More chips names.
  * Bug #15309: Set the pixel clock even if the hardware doesn't
    think it needs it. Fixes a problem where switching from DVI to
    VGA hangs.
  * Fix warnings.
  * G80: Log the i2c port number for LVDS, when there is one.
- sax2/hwinfo-data:
  * new NVIDIA chips
* Tue Aug 26 2008 sndirsch@suse.de
- xf86-video-intel 2.4.97.0
  "[...] first 2.5.0 test release.  Should be about as stable
  as the 2.4.1 and upcoming 2.4.2 releases, but also includes GEM
  and kernel mode setting code.  We haven't pushed the video
  tearing fixes yet, hopefully that'll be upstream for the next
  test release.  Carl has made good progress on improving EXA
  performance, but I think the scrolling case may still be
  sub-par, but we're interested in getting feedback there. [...]"
* Fri Aug 22 2008 sndirsch@suse.de
- xf86-video-nv.diff
  * Print error message when pci_device_map_range fails
  * Fix pciaccess READ_LONG to work with Sun compilers. Sun
    compilers don't allow nesting {} inside () apparently
* Sun Aug 17 2008 sndirsch@suse.de
- xf86-video-intel-nottm.diff
  * fixed build for libdrm 2.4.0 prerelease
* Fri Aug 15 2008 sndirsch@suse.de
- xf86-video-geode 2.10.1
  * lx: Fix rotate issue
  * Geode: Add DDC support for the CS5535
* Fri Aug 15 2008 sndirsch@suse.de
- xf86-video-intel 2.4.1
  * mostly bug and regression fixings for 2.4.0
* Tue Aug  5 2008 sndirsch@suse.de
- xf86-video-nv.diff
  * G80: Fix some ROP bugs.
* Mon Aug  4 2008 sndirsch@suse.de
- sax2/hwinfo-data:
  * use 'Virtual' profile for intel 965 series (bnc #414156)
* Fri Jul 25 2008 sndirsch@suse.de
- xf86-video-nv.diff
  * Move hardware cursor initialization to after AcquireDisplay.
    The original order works fine when the server starts, but on
    the second server generation the server tries to call
    G80CrtcHideCursor before the display engine has been
    initialized, causing a hang.
* Wed Jul 23 2008 sndirsch@suse.de
- xf86-video-intel 2.4.0
  * New Intel 4 series chipset support
  * Improved 965 exa render performance
  * Integrated HDMI support
  * SDVO-HDMI support (e.g ASUS P5E-VM board)
  * cleanups and bugfixes
-  sax2/hwinfo-data:
  * renamed "IGD" to "Mobile Intel® GM45 Express Chipset" (0x2a42)
  * added "Intel Integrated Graphics Device" (0x2e02)
  * added "G45/G43" (0x2e22)
  * added "Q45/Q43" (0x2e12)
* Sat Jul 19 2008 sndirsch@suse.de
- xf86-video-vmware 10.16.3
  * minor release, which includes a couple of Xv fixes
* Mon Jul 14 2008 sndirsch@suse.de
- no longer use XAA as default for intel driver; Intel upstream
  developers no longer support it
* Thu Jul  3 2008 sndirsch@suse.de
- xf86-video-mga 1.4.9
  * adds support for G200EV, G200WB
  * bugfixes
- xf86-video-vesa 2.0.0
- xf86-video-xgixp 1.7.99.3 (disabled at the moment due to missing
  drm bits)
- xf86-video-intel-2.3.2.diff
  * fixed build against libdrm 2.3.1
- due to missing libpciaccess support disabled build of
  * xf86-video-ati 6.6.3
  * xf86-video-cyrix
  * xf86-video-i810
  * xf86-video-imstt
  * xf86-video-tga
  * xf86-video-via
* Tue Jul  1 2008 sndirsch@suse.de
- xf86-video-nv 2.1.10
  * Fix build by using CARD32 instead of uint32_t, like we do
    everywhere else.
  * More G8x chips.
- obsoletes xf86-video-nv.diff
* Mon Jun 30 2008 sndirsch@suse.de
- xf86-video-glint 1.2.1
  * Fix regression from pciaccess conversion (bfo #16060)
* Mon Jun 30 2008 sndirsch@suse.de
- xf86-video-nv.diff
  * G80: Handle extended I2C ports and LVDS panels with DDC-based
    EDIDs.
* Fri Jun 27 2008 sndirsch@suse.de
- xf86-video-radeon 6.9.0
  * Version 6.9.0 of the radeon driver. Lots of stuff since 6.8.0
    In addition to lots of bug fixes there are several major new
    features:
  - Improved EXA render support for r1xx/r2xx cards
  - EXA render support for r3xx/r4xx/r5xx cards
  - Textured video support for Xv (r1xx-r5xx)
* Wed Jun 25 2008 sndirsch@suse.de
- xf86-video-radeon 6.8.192
  * ati 6.9.0rc2 release
- use vesa driver for GeForce 6100 Micro-Star (10de:0242:1462:7207)
  (bnc #393412)
* Mon Jun 23 2008 sndirsch@suse.de
- xf86-video-nv.diff
  * obsoletes xf86-video-nv-gf9-mobile.diff
  * obsoletes xf86-video-nv-commit-745a1d2.diff
  * Replace copyright notices with stock MIT X11 boilerplate.
  * Add new chips to the man page and fix capitalization of
    "Quadro".
  * Add a note that MODE_PANEL really means "larger than
    BIOS-programmed panel size".
* Wed Jun 18 2008 sndirsch@suse.de
- xf86-video-intel 2.3.2
  * includes misc bug fixes and the last 2.3 branch release
* Wed Jun 18 2008 sndirsch@suse.de
- xf86-video-geode 2.10.0
  * Unmap the PCI memory when we close the screen
  * Bring over the DCON detection code from the OLPC tree
  * Fix build for git-master (missing device pointers).
* Tue Jun 17 2008 sndirsch@suse.de
- xf86-video-nv-commit-745a1d2.diff
  * GeForce GTX 280 and 260 chips
* Fri Jun 13 2008 sndirsch@suse.de
- xf86-video-vmware 10.16.2
  * More xorg and xfree86 backwards compatibility
  * Fix VMWARE_CTRL and Xinerama Initialization
* Thu Jun 12 2008 sndirsch@suse.de
- xf86-video-radeon 6.8.191
  * ati 6.9.0rc1 release. Lots of changes since the last release.
    Main things are EXA composite support for r3xx/r4xx/r5xx chips
    and textured video support on all radeons.
- xf86-video-r128 6.8.0
- xf86-video-mach64 6.8.0
* Thu Jun 12 2008 sndirsch@suse.de
- make the RANDR 1.2 compatible radeon driver (6.8.0) our default
  "radeon" driver
- renamed previous default "radeon" driver (6.6.3) to "radeonold"
* Thu Jun 12 2008 sndirsch@suse.de
- specfile cleanup
- removed dead sources/patches
* Mon Jun  9 2008 sndirsch@suse.de
- back to xf86-video-glint 1.1.0 to fix Xserver crash (bnc #398350)
* Fri Jun  6 2008 sndirsch@suse.de
- xf86-video-nv-gf9-mobile.diff
  * GeForce 9 mobile chips.
- sax2/hwinfo-data:
  * added GeForce 9 mobile chips.
* Thu Jun  5 2008 sndirsch@suse.de
- sax2/hwinfo-data:
  * use vesa driver for GeForce 7300 LE (bnc #397500)
* Thu May 29 2008 sndirsch@suse.de
- sax2/hwinfo-data:
  * added GeForce 9500 used by new "ALDI PC Medion MD8835 akoya"
* Wed May 28 2008 sndirsch@suse.de
-  sax2/hwinfo data:
  * fixed detectection of Geforce 9600 GT (bnc #394512)
* Thu May 22 2008 sndirsch@suse.de
- xf86-video-cirrus 1.2.1
  * Bug #10715: Fix depth configuration for alpine chips.
- xf86-video-neomagic 1.2.1
  * fbpseudocolor no longer exists, don't try to use it.
  * Compile warning fix.
  * Don't include fbpseudocolor.h, as it is no longer available.
- xf86-video-s3virge 1.10.1
  * Bug #14298: Fix mode validation to be less ridiculous.
  * Nuke the useless UseFB option.
  * Bug #13243: Re-enable 24+32 framebuffer.
  * Fix typo in S3VValidMode.
- xf86-video-savage 2.2.1
  * Don't try to call vbeModeInit(), it doesn't exist and never
    will.
  * Fake sync ranges for panels with no EDID.
  * EXA upload to screen must honor pitch of the source data
  * savage: fix typos in error message
  * savage/pciaccess: don't try to map aperture larger than region
    window
* Wed May 21 2008 sndirsch@suse.de
- sax2/hwinfo data:
  * use ati driver again for '3D Rage IIC 215IIC' (bnc #391933)
* Fri May 16 2008 sndirsch@suse.de
- build mga driver with HAL support; autoreconf was not running
  due to version number changed from 1.4.6.1 to 1.4.8 (bnc #391311)
* Mon May 12 2008 sndirsch@suse.de
- xf86-video-intel 2.3.1
  "Noteable fixes since 2.3.0 are Eric's block handler patch fixes
  invalid ring flush in VT switch, and Jesse's cursor save/restore
  patch which greatly improves my 855GM's VT switch behavior. And
  with Mike's LVDS fixed mode patch, new option "LVDSFixedMode" can
  be used if your LVDS isn't normal connected, mostly for embed
  people. Please see man page for details."
* Sat May 10 2008 sndirsch@suse.de
- xf86-video-nv 2.1.9
  * Add an option to allow validation of dual-link DVI modes.
  * Yet more G80s.
  * obsoletes xf86-video-nv-commit-8db2d4e.diff
- sax2/hwinfo data:
  * added new G80 devices
* Wed May  7 2008 sndirsch@suse.de
- xf86-video-geode 2.9.0
  * Add "native" DDC parsing to the Geode driver
  * Making libDDC support the 2.9.0 release.
* Wed May  7 2008 sndirsch@suse.de
- xf86-video-ati-renderaccel-fix.diff
  * radeon: fix openoffice/render bug on r100 chips (bnc #361606)
* Wed May  7 2008 sndirsch@suse.de
- xf86-video-ati-mergedfb-disable.diff:
  * disable MergedFB by default also for radeon 6.6.3 driver
    (bnc #387574)
* Wed Apr 30 2008 sndirsch@suse.de
- xf86-video-intel-default2xaa.diff
  * make XAA the default for intel driver (bnc #384141/#384022)
* Tue Apr 29 2008 sndirsch@suse.de
- xf86-video-nv-commit-8db2d4e.diff
  * More G80s.
  * Fix a few startup bugs.
  * Sort the IsSupported table.
  * "I win at C."
  * Makefile.am: nuke RCS Id
  * Bug #14885: Add missing static keywords.
- sax2/hwinfo data:
  * added new G80 devices
* Fri Apr 25 2008 sndirsch@suse.de
- sax2/hwinfo data:
  * Intel IGD supports 3D
* Wed Apr 23 2008 sndirsch@suse.de
- xf86-video-intel 2.3.0
  * new Intel mobile graphics chipset support
  * first step XvMC support for 915/945 chipset
  * improved stability
  * many bug fixes
  * changes since 2.2.99.903
  - fix possible segfault in I830FreeScreen
  - Add a kludge-around to fix cd/wt bits in fb ptes on linux.
  - Change default panel fitting mode to origin
  - Set EXA pitch limit for pre-965 chipset
  - Revert "Set EXA pitch limit for pre-965 chipset"
  - Check pitch for EXA operation
  - Fix warning with i830_exa_pixmap_is_offscreen() for exa
    minor >=2
* Tue Apr 22 2008 sndirsch@suse.de
- xf86-video-ati.randr12.diff
  * load "radeon" DRM kernel module / Mesa DRI client lib instead of
    trying to load non-existing "radeonrandr12" (bnc #382283)
* Sun Apr 20 2008 sndirsch@suse.de
- sax2/hwinfo data:
  * GeForce 6800 GS / GeForce 6100 need SWCursor (bnc #328877,
    [#365761])
* Sat Apr 19 2008 sndirsch@suse.de
- %%post/%%postun: ldconfig needs to be in a seperate line
  (bnc #381606)
* Fri Apr 18 2008 sndirsch@suse.de
- added NVIDIA Quadro NVS 440 Device ID to sax2/hwinfo data
* Tue Apr 15 2008 sndirsch@suse.de
- added sax2/hwinfo data for
  * NVIDIA Quadro FX 3700
  * NVIDIA GeForce 9600 GT
  * Intel IGD
* Mon Apr 14 2008 sndirsch@suse.de
- xf86-video-intel 2.2.99.903
  "I believe this is the last rc cycle before 2.3 final, that will
  hit Xorg-7.4 release."
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Wed Apr  2 2008 sndirsch@suse.de
- xf86-video-geode 2.8.0
  * First stage of the rename process - get rid of all amd_
    prefixes -
  * Massive coding style fixup - move to X coding style,
  * amd: fix up the versioning and naming of the new driver
  * amd: fix compile and warning issues from the merge
  * amd: Missed a merge artifact - kick me in the head for
    breaking tinderbox
  * geode: Bump to new version and replace two instances of the
    old amd name
* Mon Mar 31 2008 sndirsch@suse.de
- xf86-video-intel 2.2.99.902
  * Revert "Use mprotect on unbound AGP memory to attempt to catch
    use while unbound."
  * Fix 965+ rendering issues with DRI disabled.
  * Add a "total" field to intel_idle output (set when any unit is
    busy).
  * Initial panel fitting changes
  * Fixup backlight control and panel fitting property names
  * Use combo backlight control rather than pure legacy
  * Fix DRI config for NetBSD
  * Don't try to build XvMC if DRI is disabled
  * Transformed coord computed using floats. Don't move bilinear
    composite dst.
  * Disable cursors while switching modes
  * Fix obviously stray '(' in non-I830_USE_EXA case.
  * Fix obviously wrong verification of DRI_SUPPORTS_CLIP_NOTIFY.
  * Fix crash triggered by dpms low power mode with hardware
    overlay running
  * More compile warning fixes.
  * xvmc: fix distcheck
  * Disable overlay on new mobile chipset
  * Disable DRI earlier if fb width > 2048
  * Use xfree() for bios memory
* Sun Mar 23 2008 sndirsch@suse.de
- xf86-video-amd 2.7.7.7
  * Implement support for wide and non-standard screen resolutions.
  * amd: initial pciaccess conversion
  * oops I did it again.. forgot the damn include
  * pciaccess: forgot some commas
  * pciaccess: fix name of struct
  * amd: move to new devprivates
  * old privates v2
  * fix devprivates properly
  * amd: fixup pciaccess compile
  * amd: fix distcheck
  * amd: Add the 'geode' name in preparation for the renaming
  * amd: Fix a compile error in < 1.5 builds
  * amd: fix panel and DDC interation with GX
  * amd: release version 2.7.7.7
  * Added trivial fix for Gamma initialization.
  * Erm... That would be pScrni, of course.
  * amd: Add libpciaccess probe function
* Fri Mar 21 2008 sndirsch@suse.de
- xf86-video-intel 2.2.99.901
  "Here's the first rc for xf86-video-intel 2.3 release. The most
  noteable thing is xvmc branch got merged, and it currently
  supports XvMC MC hardware decode on 915/945/G33 chipsets(i965
  hardware decode is still under work, and would be in next release
  though). And we have also fixed several Xv relate issues, and
  with bunch of bug fixes as usual."
* Wed Mar 19 2008 sndirsch@suse.de
- xf86-video-apm 1.2.0
  xf86-video-ark 0.7.0
  xf86-video-ast 0.85.0
  xf86-video-chips 1.2.0
  xf86-video-cirrus 1.2.0
  xf86-video-fbdev 0.4.0
  xf86-video-glint 1.2.0
  xf86-video-i128 1.3.0
  xf86-video-i740 1.2.0
  xf86-video-neomagic 1.2.0
  xf86-video-rendition 4.2.0
  xf86-video-s3 0.6.0
  xf86-video-s3virge 1.10.0
  xf86-video-savage 2.2.0
  xf86-video-siliconmotion 1.6.0
  xf86-video-sis 0.10.0
  xf86-video-sisusb 0.9.0
  xf86-video-tdfx 1.4.0
  xf86-video-trident 1.3.0
  xf86-video-tseng 1.2.0
  xf86-video-v4l 0.2.0
  xf86-video-vmware 10.16.0
  xf86-video-voodoo 1.2.0
  xf86-video-dummy 0.3.0
  * adds pciaccess support
  * obsoletes xf86-video-glint.diff, xf86-video-savage-xvideofix.diff,
    xf86-video-sisusb.diff
* Mon Mar 17 2008 sndirsch@suse.de
- xf86-video-savage-xvideofix.diff
  * cherry picked 6 upstream commits on top of the driver release
    2.1.3 to fix Xvideo freeze (bnc #370018, Luc Verhaegen)
* Wed Mar 12 2008 sndirsch@suse.de
- require xorg-x11-driver-video-radeonhd
* Fri Mar  7 2008 sndirsch@suse.de
- xf86-video-nv 2.1.8
  * obsoletes xf86-video-nv.diff
* Sun Mar  2 2008 sndirsch@suse.de
- xf86-video-intel-git.diff
  * Fix SDVO I2C access on Mac Mini in EFI mode. The GMBUS was
    being left in SDVO pin access mode, which blocked our
    bit-banging access to those pins. Thanks to Peter Jones for
    quick debugging turnaround in getting this fixed. (bnc #366356)
  * obsoletes xf86-video-intel-bfo14591.diff
* Thu Feb 28 2008 sndirsch@suse.de
- xf86-video-intel-bfo14591.diff
  * fixes machine freeze on G35 (bfo #14591)
* Tue Feb 26 2008 sndirsch@suse.de
- xf86-video-nv.diff
  * GeForce 9600 GT. Note that the 9600 GT should already work in
    2.1.7. This change just adds its name to the list.
* Mon Feb 25 2008 sndirsch@suse.de
- xf86-video-intel 2.2.1
  * fixes at least a few dozen bugs between 2.2.0 and 2.2.1
  * obsoletes xf86-video-intel-bfo14552.diff
* Wed Feb 20 2008 sndirsch@suse.de
- xf86-video-intel-bfo14552.diff:
  * prevent infinite loop on G35 (bfo #14552)
* Wed Feb 20 2008 sndirsch@suse.de
- xf86-video-nv.diff:
  * G80: Fix connector mapping and TMDS initialization on certain
    GPUs.
* Tue Feb 19 2008 sndirsch@suse.de
- xf86-video-ati 6.8.0
  * mach64, r128, radeon ported to libpciaccess
  * massive restructuring of ati wrapper
  * radeon support for r5xx, rs6xx, and r6xx chips using ATOMBIOS
  * return of zaphod mode support
  * radeon support for centered modes using scalers (selectable via
    output attributes)
  * PAL tv-out fixed on supported chips
  * initial support for render accel on r3xx/r4xx chips (rotation)
  * fix TV option handling
  * Xv RGB fixes
  * XPRESS Xv fixes
  * improve bios/driver interaction on radeon
  * revert back to previous AGP mode behavior
  * lots of bug fixes
* Fri Feb 15 2008 sndirsch@suse.de
- xf86-video-nv.diff
  * fixed EDID information exported through randr on G80
    (bfo #14484)
* Wed Feb  6 2008 sndirsch@suse.de
- xf86-video-intel 2.2.0.90 (2.2.1 prerelease)
  "Here's the first of what I hope will be very few 2.2.1
  pre-releases. We've fixed lots of bugs since 2.2.0, including
  some nasty regressions.  Please give it a try, especially if you
  have open bugs, since several are in need of re-verification
  with the latest bits.
  We still have a few blockers open, but several have fixes
  included in this release, so we should be able to close them
  soon. I'd also like to fix the remaining backlight problems in
  this release (13709, 14243), I'll look at doing that tomorrow.
  Note that EXA is still expected to be slow in this release; the
  batchbuffer branch isn't quite ready yet. Hopefully that'll be
  fixed in 2.3; we'll post plans for that release soon."
- removed unofficial xvmc patches for intel
* Sat Jan 26 2008 sndirsch@suse.de
- xf86-video-amd 2.7.7.6
  * Remove a few (harmless) warnings
  * Constify a few huge tables to reduce data section size.
  * [GX/LX] Bump the default pixel depth up to 16-bit.
- xf86-video-nv 2.1.7
  * Fix warning.
  * obsoletes xf86-video-nv.diff
* Fri Jan 25 2008 sndirsch@suse.de
- updated xf86-video-nv.diff
  * New chips.
  * Fix more load detection false positives.
  * Update know card list date and add G92 to the manpage.
* Sat Jan 19 2008 sndirsch@suse.de
- fixed build of sisusb and xgi driver
* Sat Jan 19 2008 sndirsch@suse.de
- xf86-video-vmware-10.15.2.diff:
  * disabled broken RENDER support in vmware driver (Bug #353489)
* Fri Jan 18 2008 sndirsch@suse.de
- xf86-video-mga 1.4.8
  * X.Org Bug #13926: Unbreak Xinerama (which finally fixes Novell
    Bug #331550)
* Mon Jan 14 2008 sndirsch@suse.de
- xf86-video-amd 2.7.7.5
  * Trivial patch to fix the ZTV module
  * Basic OLPC support from Bernardo Innocenti and Jordan Crouse.
* Thu Jan 10 2008 sndirsch@suse.de
- xf86-video-amd 2.7.7.4
  * [LX] Re-arrange PreInit to avoid segfaults in Xorg -configure
  * [GX] Fix the autoconfigure segfault for GX too
  * [GX][LX] Push PreInit fixes to avoid segfauls on X -configure.
* Tue Jan  1 2008 crrodriguez@suse.de
- fix library-without-ldconfig-* error
* Fri Dec 21 2007 sndirsch@suse.de
- xf86-video-ati 6.7.197
  * Another RC release. Lots of stuff fixed and new features.
    See the changelog for more. Highlights:
  - improved pll handling
  - better lid support on Linux via acpi
  - EXA transforms are fixed so rotation is fast with EXA on
    r1xx/r2xx
  - improved Mac support for more cards
  - cursor rotation problem are fixed
  - better rn50 mode handling
  - lots of bug fixes
* Tue Dec 18 2007 sndirsch@suse.de
- require xorg-x11-driver-video-unichrome
* Sun Dec  2 2007 sndirsch@suse.de
- xf86-video-nv.diff:
  * G80Create{Dac,Sor} return pointers, not Bools.
* Sat Dec  1 2007 sndirsch@suse.de
- xf86-video-nv.diff:
  * X.Org Bug #7309: Delay after disabling cursor to avoid wedging
    the cursor hardware on GeForce 6150.
* Fri Nov 30 2007 sndirsch@suse.de
- no longer blacklist video kernel module (Bug #345033)
* Tue Nov 27 2007 sndirsch@suse.de
- xf86-video-nv.diff
  * Build fix for recent removal of (DE)ALLOCATE_LOCAL
  * xcalloc needs 2 args, Xcalloc takes one
* Fri Nov 16 2007 sndirsch@suse.de
- xf86-video-sis 0.9.4
  * This release fixes DRI with xorg-server 1.3 and above, which
    weren't detected properly.
* Thu Nov 15 2007 sndirsch@suse.de
- xf86-video-intel 2.2.0
  * Since the 2.1.0 release, over 160 bugs have been resolved. That
    still leaves 96 open bugs (yay for breaking the 100 barrier),
    but at this rate the next release should be bug free! :)
    Moreover, I think many of the open bugs are duplicates of bugs
    fixed in this release, or just need to be tested with this
    release before being closed out, so things are looking good on
    the bug front.
  * Again, this driver should be run with the latest released
    versions of the various components:
  - X server 1.4.x
  - Mesa 7.0.x
  - DRM modules from your respective kernel
  * Running with more recent versions should be possible, but
    you'll likely hit bugs in the upstream trees due to active
    development going on there.
* Thu Nov 15 2007 sndirsch@suse.de
- xf86-video-intel
  * updated to git commit e56c166, which also includes some more
    backlight fixes
- xf86-video-nv.diff
  * G80: Reduce load detection false positives.
* Mon Nov 12 2007 sndirsch@suse.de
- xf86-video-intel
  * updated to git commit 43fbc54, which fixes backlight support
    for several platforms
* Mon Nov 12 2007 sndirsch@suse.de
- xf86-video-intel
  * updated to git commit 10988c5, which fixes Bug #327064
* Mon Nov 12 2007 sndirsch@suse.de
- xf86-video-ati 6.7.196
  * cursor related hangs
  * LVDS fixes
  * support for new DDC type
  * bios/dock/lvds hw state fixes
* Fri Nov  9 2007 sndirsch@suse.de
- xf86-video-intel 2.1.99
  * prerequirements: X server 1.4(.x), Mesa 7.0.x, latest released
    version of DRM (i.e. latest released Linux kernel for Linux
    users).
  * Additional suspend/resume fixes are available in development
    versions of the DRM (in the Mesa DRM tree and recent -mm kernels
    I believe).
  * there are still several open issues with this release, but
    bugs are being squashed fairly quickly, so it may shape up into
    something decent by release time.
  * main highlights of this release versus 2.1.0 are:
  - EXA by default (cheers & jeers all around please)
  - Tiled front buffer (should improve performance)
  - Framebuffer compression (a power saving feature)
  - Many, many bug fixes (yay!)
  * the final 2.2 release should have some additional features,
    including improved backlight support and additional TV output
    properties, along with many more bug fixes.
* Sun Nov  4 2007 sndirsch@suse.de
- added xgixp driver (X.Org Bug #5921)
* Sat Nov  3 2007 sndirsch@suse.de
- xf86-video-nv.diff
  * support for GeForce 8800 GT
* Wed Oct 31 2007 sndirsch@suse.de
- xf86-video-intel
  * updated to git commit ecd995d
* Wed Oct 24 2007 sndirsch@suse.de
- xf86-video-nv 2.1.6
  * Remove unused headers.
  * G80 bug #12637: Unwedge the hardware if the BIOS left it stuck.
  * G80 bug #12397: Fix LVDS detection on certain laptops.
- obsoletes xf86-video-nv.diff
* Thu Oct 18 2007 sndirsch@suse.de
- back to xf86-video-mga 1.4.6.1 to fix traditional Xinerama setups
  (Bug #331550)
* Thu Oct 18 2007 sndirsch@suse.de
- unichrome driver moved to seperate xorg-x11-driver-video-unichrome
  package
* Mon Oct 15 2007 sndirsch@suse.de
- xf86-video-nv.diff
  * G80 bug #12397: Fix LVDS detection on certain laptops.
  * G80 bug #12637: Unwedge the hardware if the BIOS left it stuck.
  * Remove unused headers.
* Mon Oct 15 2007 sndirsch@suse.de
- xf86-video-amd 2.7.7.3
  * Remove the upload function for LX
  * Fix video downscaling
* Fri Oct 12 2007 sndirsch@suse.de
- no longer build ATI 6.6.193 driver; replaced by ATI 6.6.3 driver
* Wed Oct 10 2007 sndirsch@suse.de
- xf86-video-ati-6.6.3-compile-cfb.patch
  xf86-video-ati-6.6.3-if0.patch
  xf86-video-ati-6.6.3-r128-xvideo.patch
  * TV-in support for All in Wonder 128 (Bug #302196, X.Org #8811)
* Sat Oct  6 2007 sndirsch@suse.de
- xf86-video-ati 6.7.194
  Another RC release. Once all the of the sub drivers are ported to
  pci-rework, we'll do a 6.8. Changes of note:
  * single crtc cards should work again
  * LVDS/RMX finally sorted out
  * pci-rework for ati_msic/radeon
* Wed Oct  3 2007 sndirsch@suse.de
- xf86-video-mga 1.9.100
  * This is the second test release of the MGA driver that features
    RandR 1.2 support. Since the last release, a few bugs have been
    fixed that affected dual head mode.
  - Fixed initialization of the second head of the G550.
  - Made DAC2 return to clone mode on restore.
  - Set SYNC_CTL to 0xcc when CRTC2 is active.
  - Bug #12575: Evaluate the x and y arguments to crtc_mode_set().
  - Don't crash in DownloadFromScreen.
  - Set maxPitchPixels if available.
  - Removed DGA support.
  - Removed MGAFBLayout structure.
  - Don't check texture dimensions in mgaCheckSourceTexture().
  - Bug #12598: Only write palette data when available.
* Sat Sep 29 2007 sndirsch@suse.de
- xf86-video-nv 2.1.5
  * preliminary pci-rework support
* Sat Sep 29 2007 sndirsch@suse.de
- bumped version to 7.3
* Sat Sep 29 2007 sndirsch@suse.de
- xf86-input-vmware 10.15.2
  * adds an embedded version string in a .modinfo segment (when
    compiled with gcc) that can be read by the linux kernel
    'modinfo' tool.
  * fixes a global symbol collision with the mouse driver
- xf86-video-mga 1.9.99
  * "This is the first test release of the MGA driver that features
    support for RandR 1.2. We now also finally support DVI outputs
    found on some G450 and G550 cards. Support for Matrox'
    proprietary HAL module has been removed. Please give it a try
    and report any problems. I'm especially interested in test
    results from users that still use pre G-series cards (ie
    MGA2064W, MGA1064SG, MGA2164W). I don't have any and so I
    don't have any idea why they still work with this new code."
- xf86-video-amd 2.7.7.2
  * minor release
- xf86-video-ati 6.7.194
  * "MacModel" option should set up the connectors right on Apple
    laptops
  * added MacModel support for the mini
  * fixed Xv crasher
  * lots of LVDS fixes
  * external tmds should work again (assuming the external chip is
    bios inited)
  * lots of bug fixes
* Mon Sep 24 2007 sndirsch@suse.de
- xf86-video-ati-disable_rmx_dell_rn50.diff
  * disable RMX for all Dell Servers with RN50 chips (Bug #327682)
- make sure to apply the radeon driver patches for ATI 6.6.193
* Tue Sep 18 2007 sndirsch@suse.de
- xf86-video-nv-new_products.diff:
  * Fix uninitialized variable warning
  * New G80 products
* Thu Sep 13 2007 sndirsch@suse.de
- added "stable" 6.6.3 ATI driver; available as "radeonold"
* Wed Sep 12 2007 sndirsch@suse.de
- xf86-video-nv-g80_lvds_detect.diff:
  * G80: Fix LVDS detection on some laptops
* Tue Sep 11 2007 sndirsch@suse.de
- removed superfluous sun video drivers (Bug #309417)
* Fri Sep  7 2007 sndirsch@suse.de
- 'Requires: 915resolution' no longer reuqired (Bug #299829)
* Fri Sep  7 2007 sndirsch@suse.de
- radeonrandr12 driver:
  * load the correct kernel module (radeonrandr12 --> radeon)
* Thu Sep  6 2007 sndirsch@suse.de
- xf86-video-nsc 2.8.3
  * This release is an untested build fix for the 7.3 release.
- xf86-video-mga 1.4.7
- adjusted mga-g200se_pci-fix.diff
* Wed Sep  5 2007 sndirsch@suse.de
- xf86-video-ati-opma.diff:
  * get monitor DDC from VGA_DDC line first (Bug #307074)
* Sun Sep  2 2007 sndirsch@suse.de
- added amd driver (release 2.7.7.0)
  * X graphics driver for the AMD Geode GX and LX processors.
    The GX driver features XAA and EXA support for graphics
    acceleration, and the LX driver supports EXA (including
    compositing). Both drivers suppport dynamic rotation with
    XRandR, and Xv overlay support.
* Tue Aug 28 2007 sndirsch@suse.de
- added xgi driver (release 1.5.0)
  "This is the initial release (despite the 1.5.0 version number)
  of the driver for XGI V3XT / V3XE / V5 / V8 and Z7 / Z9 based
  video cards. This driver is based on source code and
  documentation released by XGI. Much of the original code was
  written by Thomas Winischhofer.
* Mon Aug 27 2007 sndirsch@suse.de
- xf86-video-unichrome-20070511.tar.bz2/xf86-video-unichrome.diff
  * via driver from Unichrome Project (renamed to 'unichrome')
* Mon Aug 27 2007 sndirsch@suse.de
- radeonrandr12:
  * updated to latest RANDR 1.2 capable ATI driver 6.7.192
  * fix vga output on IGP chips
  * fix Xv clipping issues
  * rotation works (EXA composite is busted for rotation though,
    use XAA or disable render accel for now)
  * fix LVDS detection on ATOM bios
  * fix depth 16
* Fri Aug 24 2007 sndirsch@suse.de
- radeonrandr12:
  * updated to latest RANDR 1.2 capable ATI driver 6.7.191
  * "In addition to randr support there are quite a few other
    goodies: zero copy tfp, improved connector table parsing,
    TV-out support, and much more."
* Mon Aug 20 2007 sndirsch@suse.de
- xf86-video-ati-bug296856.diff:
  * set default virtualX and virtualY to max resolution that
    display supports (Bug #296856)
* Fri Aug 17 2007 sndirsch@suse.de
- savage 2.1.3
  * Strip ^M's out of savage_driver.h
  * clean up some leftover cruft.
  * small exa fix ups, remove an errant comment
  * Get Solid() working again
  * final odds and ends for exa
  * fix console corruption due to invalid shadow status
  * fix segfault in SavageDoAdjustFrame() on server 1.3
  * Add panel native mode automatically.
  * Unmap mem before freeing driverPrivate
  * Define SAVAGE_VERSION* using PACKAGE_VERSION*
  * disable randr when savage rotation is enabled
  * fix savage respawn crash
  * Fixed a markup error.
  * Add "DRI" option to enable/disable DRI support
- only require 915resolution on %%ix86/x86_64 (Bug #301304)
* Thu Aug 16 2007 sndirsch@suse.de
- updated mga/ati randr12 drivers to current git (2007-08-16)
* Thu Aug 16 2007 sndirsch@suse.de
- updated nv driver to release 2.1.2
  * Bug #4686: Fix a minor GeForceFX + flatpanel + video overlay
    corruption issue.
  * G80: Add an LVDS flat panel scaling property.
  * G80: Allow DVI scaling.
- obsoletes xf86-video-nv.diff
* Tue Aug 14 2007 sndirsch@suse.de
- updated to intel bugfix driver release 2.1.1
  * Fix typo in intel.man
  * Allow 965 composite acceleration to A8 destinations.
  * i965: fix memcpy of the sf_kernel when a mask is needed
  * i965: increase composite vertex buffer size and alignment to be
    safe
  * Fix some physical address handling for >4GB addresses.
  * Quirk away the nonexistent TV connector on the Panasonic CF-Y4.
  * Add the file mode for bios_dumper output so it doesn't have 000
    permissions.
  * Bug #11593: Remove dead struct vch_bdb_20 which was angering
    the sun compiler.
  * Legacy backlight changes: - add support for 965GM - make sure
    legacy enabled systems don't reduce the range of backlight
    values we can present to the user
  * Eliminate bogus (and harmful) blanking adjustment for load
    detect.
  * Ensure pipe/output active before doing load detection.
  * Remove hard-coded CRT blanking frobbing for load detection.
  * Clean up tv mode name allocation and copy.
  * Add quirk support
  * Add another Lenovo TV output quirk
  * Fix device id info for 945GME, 965GME
  * Update Lenovo TV quirk info
- obsoletes xf86-video-intel-commit-6f18300.diff
* Mon Aug 13 2007 sndirsch@suse.de
- added 'Requires: 915resolution' (i810 driver)
* Sat Aug 11 2007 sndirsch@suse.de
- prevent (acpi) video kernel module from loading (Bug #260675)
- cleanup
* Fri Aug 10 2007 sndirsch@suse.de
- xf86-video-intel-xvmc_i915_i945-1.diff:
  * disable subpicture initial. until we really implement it, OSD
    can't work for now. (related to Bug #296982)
* Wed Aug  8 2007 sndirsch@suse.de
- xf86-video-ati-AGPFastWrite-risk-reduction.diff:
  * Verbosely warn about the detrimental effects of the
    AGPFastWrite option. (Bug #298465)
* Wed Aug  8 2007 sndirsch@suse.de
- xf86-video-intel-xvmc_i915_i945.diff:
  * basic XvMC support for i915/945 hardware (Bug #296982)
* Mon Aug  6 2007 sndirsch@suse.de
- xf86-video-intel-commit-6f18300.diff:
  * fixes 1680x1050 mode on TMDS-1 output again
  (commit 6f18300aed1340348c6d395f326061b5315be643
  Author: Keith Packard <keithp@neko.keithp.com>
  Date:   Mon Jul 9 21:29:55 2007 -0700
  Eliminate bogus (and harmful) blanking adjustment for load detect.
  Instead of always adding blanking to mode lines, use the FORCE_BORDER
  option on i9xx hardware where it works, and dynamically add a bit of
  border if necessary on i8xx hardware to make load detection work.
  This may cause flashing when a usable crtc is not otherwise idle when
  load detection is requested.
- obsoletes xf86-video-intel-commit-1e2e301.diff
* Sat Aug  4 2007 sndirsch@suse.de
- update ati driver to release 6.6.193:
  * This is another ati driver RC aimed at server 1.3. Still not
    randr-1.2. It contains a bunch of fixes for the upcoming (I
    swear) 6.7 release. Main features: fix a serious crasher in
    DPMS code, addition of EXA hook for zero-copy TFP and RS480
    support. Along with numerous other cleanups. There is a blocker
    bug 11749 for the 6.7 release in bugs.freedesktop.org
- obsoletes xf86-video-ati-rs482-singledac.diff
- obsoletes radeon-Clean-up-PortInfo-to-CRTC-mapping.diff
- obsoletes radeon-Fix-the-last-instance-of-RadeonUnblank.diff
- adjusted radeon-Fix-CRT-on-RS400.diff
- updated mga/ati randr12 drivers to current git (2007-08-04)
* Wed Jul 25 2007 sndirsch@suse.de
- xf86-video-nv.diff:
  * G80: Allow DVI scaling. Revamp how the scaling code works. When
    a mode is set on a DVI output, determine the current preferred
    mode and scale to that. Add a new scaling option, "off", which
    disables scaling and scans out the actual timings in the mode
    to be set.
  * Nuke old RCS tags. Fix the ends of files. Update the known
    cards date.
* Fri Jul 20 2007 sndirsch@suse.de
- xf86-video-intel-commit-1e2e301.diff
  * revert this one since it broke 1680x1050 mode on TMDS-1 output
    (monitor gets 1680x1053 instead)
  (commit 1e2e301348b4168aeed38b3fdc6b0e43d5678a86
  Author: Keith Packard <keithp@dulcimer.keithp.com>
  Date:   Sat Jun 30 12:45:24 2007 -0700
  Fix load detection to use border region instead of blanking.
  Make sure there is some border area to use by changing how the
  pipe is configured, then pick a scanline in the middle of the
  border for load detection. This lets the load detect code use
  an active pipe instead of requiring an idle one.)
* Wed Jul 18 2007 sndirsch@suse.de
- radeon-Fix-the-last-instance-of-RadeonUnblank.diff:
  * Server crashed with missing symbol RadeonUnblank, this was
    changed to RadeonBlank(pScrn, FALSE) and now it's dandy.
    Reason why this wasn't spotted right away is that this widely
    used and oft hacked on driver doesn't even enable all warnings
    (-Wall) on gcc. (Bug #264720)
* Tue Jul 17 2007 sndirsch@suse.de
- radeon-Clean-up-PortInfo-to-CRTC-mapping.diff:
  * Clean up PortInfo to CRTC mapping. Also sanitise blanking and
    DPMS functions (Bug #264720)
* Mon Jul 16 2007 sndirsch@suse.de
- radeon-Fix-CRT-on-RS400.diff:
  * fixes black screen on external VGA output of ATI XPress 200.
    Cause: bad entry in the BIOS connector table (Bug #276475)
* Mon Jul 16 2007 sndirsch@suse.de
- xf86-video-nv.diff:
  * G80: Add an LVDS flat panel scaling property. This property
    controls how non-native resolutions are scaled to the native
    resolution.  Valid values are:
  - center: 1:1 pixel ratio with black borders to center the
    image.
  - fill: Scale image to the native resolution.
  - aspect: Scale image to fit the screen, adding black bars to
    preserve square pixels.
    Defaults to "aspect". Change with
    "xrandr --output LVDS --set scale <foo>".
* Tue Jul 10 2007 sndirsch@suse.de
- xf86-video-nv.diff:
  * Bug #4686: Fix a minor GeForceFX + flatpanel + video overlay
    corruption issue. This change was originally in XFree86 CVS,
    nv_dac.c version 1.36 but got reverted accidentally.
* Tue Jul 10 2007 sndirsch@suse.de
- updated nv driver to release 2.1.2
  * This release fixes the LVDS display on certain MacBooks and
    laptops with certain native flat panel modes (typically
    1440x900). It also adds a "dither" RandR 1.2 output property
    and a corresponding "FPDither" xorg.conf option for 6-bit flat
    panels.
- obsoletes xf86-video-nv.diff
* Mon Jul  9 2007 sndirsch@suse.de
- xf86-video-nv.diff
  * support for GeForce 8600M GT
  * Work around more MacBook wackiness. Turn off more corrupt the
  framebuffer mode.  Don't mess with the pixel clock for LVDS as
  long as we're trusting the VBIOS-programmed timings.
* Wed Jul  4 2007 sndirsch@suse.de
- xf86-video-nv.diff:
  * Put the GPU into don't corrupt the framebuffer mode to work
    around MacBook wackiness.
* Tue Jul  3 2007 sndirsch@suse.de
- updated to intel driver release 2.1.0
* Tue Jul  3 2007 sndirsch@suse.de
- updated nv driver to release 2.1.1
- obsoletes xf86-video-nv.diff
* Mon Jul  2 2007 sndirsch@suse.de
- xf86-video-nv.diff:
  * support for GeForce 8400M G
  * Support configs with BAR1 < total RAM < 256 MB
* Tue Jun 19 2007 sndirsch@suse.de
- updated nv driver to release 2.1.0
  * Fix some random colormap corruption on DFPs with certain
    pre-G80 GPUs.
  * Fix build. Including xf86DDC.h before we include xf86.h doesn't
    fly (Benjamin Herrenschmidt)
- obsoletes xf86-video-nv-g80.diff
* Sat Jun  9 2007 sndirsch@suse.de
- xf86-video-nv-g80.diff:
  G80: Mode validation. Disable LVDS modes larger than the native
  resolution. Disable dual-link TMDS modes for now since they don't
  work reliably.
* Thu Jun  7 2007 sndirsch@suse.de
- xf86-video-nv-g80.diff:
  * G80: Rearrange HW video timing computations
  * G80: LVDS support
* Thu Jun  7 2007 sndirsch@suse.de
- xf86-video-ati-mergedfb-disable.diff:
  * disable MergedFB by default (Bug #279961)
- radeon-xrandr-dotclock.diff enabled again (Bugs #280362/#135749)
* Tue Jun  5 2007 sndirsch@suse.de
- updated intel driver to current git (2007-06-05)
  * support for 945GME
  * support for 965GME/GLE
  * support for G33, Q35, Q33
  * bugfixes
* Mon Jun  4 2007 sndirsch@suse.de
- do not overwrite i810 manual page with link to intel manual page
* Sun Jun  3 2007 sndirsch@suse.de
- updated intel driver to current git (2007-06-03)
  * lot of bugfixes
- updated radeonrandr12 driver to current git (2007-06-03)
  * bugfixes
* Tue May 29 2007 sndirsch@suse.de
- xf86-video-ati-rs482-singledac.diff:
  * rs480: only has single dac (Bug #276475)
* Wed May 23 2007 sndirsch@suse.de
- fixed rpmlint library-without-ldconfig-postin errors
* Tue May 22 2007 sndirsch@suse.de
- updated ATI RANDR1.2 driver (git 20070522)
  * Fix for infinite loop in RADEONGetLVDSInfo
  * cleanup
  * turn off all outputs in screeninit(). We'll turn on the ones we
    want later
  * Change default LVDS i2c line for powerpc
  * if connector is VGA set TMDS to none
  * several updates
  * fix crtc1 (un)blanking code after last commit
  * only add valid connectors
* Mon May 21 2007 sndirsch@suse.de
- update ati driver to release 6.6.191:
  * Fix regular/"xinerama"/zaphod dualhead mode
  * radeon: fix up crtc debug dereference problem
  * radeon: add support for enabling direct rendering on RS480
  * radeon: fix build since patches for IBM don't actually build
  * radeon: fix build on older server
  * radeon: add support for DDC on some laptop chipsets
  * radeon: another attempt at fixing the mergedfb refresh rate
  * 9337: EDID modes do not participate in validation for CRT monitor
  * 10205: Radeon driver's own mode validation code does not work properly
  * Fixed typo in mode list generation.
  * Fix crash if MergedFB and secondary head not found
  * Fix inconsistent use of Mode lists.
  * Set sync polarity restriction flags even for non-"digital separate"
    monitors.
  * Disable RMX for IBM Lewis server.
  * radeon: Fix typo.
  * radeon: Guard some MergedFB specific code with info->MergedFB tests.
  * radeon: Don't shrink virtual size based on secondary modes.
  * radeon: Always sort modes when adding to list.
  * radeon: Link nearest modes by default for clone mode.
- obsoletes bug-263199_radeon-mergedfb-crash.diff,
  xf86-video-ati-6.6.191.diff
* Thu May 17 2007 sndirsch@suse.de
- updated ATI RANDR1.2 driver (git 20070517)
* Thu May 17 2007 sndirsch@suse.de
- updated nv driver to release 2.0.96
  * This release adds simple VBE-based dualhead support for pre-G80
    graphics cards. This mode has a few restrictions:
    1. Both heads must be connected when the system is booted.
    2. The same mode is used on both heads.
    3. The heads are always placed side-by-side.
    4. Only VBE modes are available.
    5. No Xinerama information is provided.
    Use ' Option "Dualhead" "on" ' for configuration.
* Mon May 14 2007 sndirsch@suse.de
- disabled generation of kernel framebuffer blacklist (Bug #239194,
  comments #27, #28, #31)
* Fri May 11 2007 sndirsch@suse.de
- updated ATI RANDR1.2 driver (git 20070511)
* Thu May  3 2007 sndirsch@suse.de
- updated nv driver to release 2.0.95
  * This release adds experimental RandR-1.2 and EXA support for
    GeForce 8 series GPUs. The driver now depends on server version
    1.2 or higher because of the RandR 1.1 compatibility layer.
* Wed May  2 2007 sndirsch@suse.de
- xf86-video-nv-8800ultra.diff:
  * support for GeForce 8800 Ultra
* Fri Apr 27 2007 sndirsch@suse.de
- xf86-video-nv-20070425.tar.bz2
  * Merge branch 'randr-1.2'
  * G80: EXA infrastructure.
  * EXA: Add solid, copy, and UTS hooks.
  * Get EXA resizing working and document it.
  * Remove some old stuff from README.G80.
- obsoletes xf86-video-nv-G84_G86.diff
- obsoletes xf86-video-nv.randr12-20070421.tar.bz2
- obsoletes xf86-video-nv.randr12.diff
* Sat Apr 21 2007 sndirsch@suse.de
- xf86-video-nv-G84_G86.diff:
  * GeForce 8300 GS and GeForce 8400 GS.
  * Add new chips to the manpage.
- updated "nvrandr12" driver to current git:
  * Depend on server 1.2 or higher. Remove support for building
    with the libc wrapper or without the Drawable XV argument.
  * G80: Remove AdjustFrame printout.
  * Steal RandR1.2 compat code from the Intel driver. Spruce it up
    a bit so that --with-xserver-source works even if there's a
    local compat copy.
  * Remove unused g80_ddc.h.
  * Always support G80.
* Fri Apr 20 2007 sndirsch@suse.de
- intel driver release 2.0.0
  * Check for the PENDING message when reading the attached
  * Update read_response to include the try on PENDING status
  * Fix return status
  * Bug #10515: Fix module version number with more than one digit
    per field.
  * It's 2007 now.  Didn't I get the memo?
  * Avoid a magic number and correct a (currently harmless) ifdef
    in ResetState().
  * Turn off ALWAYS_SYNC in EXA.
  * Don't use extended regexps in sed when not necessary.
  * Bug #10520: i810 manpage not installed despite users expecting
    it to be there.
  * Add license headers to 965 programs.
  * Bug #10438: Fix 965 XV when sourcing from less than the full image.
  * Add all the possible ivch slave addresses (still commented out).
  * Fix i852 EXA Composite acceleration setup.
  * Don't try to init the XAA linear region unless we allocated
    memory for it.
  * Use I2C delay function instead of usleep.
  * Fix mismatching braces when XF86DRI_MM is not defined.
  * Clean up 1.2 xserver build support.
  * Eliminate LinearAlloc option and code.
  * Update version to 2.0.0
  * Fix build against xserver 1.2.
  * Fix crash on G965 XAA with LinearAlloc option
  * Update intel.man with 965GM chipset support
  * EXA: i830 render misc fix and cleanups
  * EXA: Add i830 supported pict format XRGB8888, XBGR8888
  * EXA: fix 830/845G pict format
  * EXA: fix i830 render
  * Fix mem list order and remove extra unbind call when free memory
* Tue Apr 17 2007 sndirsch@suse.de
- updated nv driver to release 2.0.2:
  * This release adds product names for the GeForce 8600 GTS and GT,
    and the GeForce 8500 GT. It also contains a fix for bug 10360.
- obsoletes xf86-video-nv-1.diff, xf86-video-nv-2.diff
* Tue Apr 17 2007 sndirsch@suse.de
- updated "mgarandr12" driver to current git
  * Added memcpy-based DownloadFromScreen implementation.
  * On G550, do A8 adds in hardware.
  * Make DRI initialization work when using EXA. Still need to
    implement InitBuffers and MoveBuffers for EXA.
  * Removed the debug messages for solid and copy ops.
  * Sync after UploadToScreen.
  * Default mode on G200SE of 1024x768 @ 16bpp. The poor thing has
    so little VRAM that you can't do any bigger than 640x480 at
    32bpp, so in the interest of having a reasonable screen size...
  * Disable MTRR support for PCIE G200SE cards, as it tickles
    hardware bugs.
  * Fix various timing bugs on the G200SE.
  * Shut up the compiler.
* Mon Apr 16 2007 sndirsch@suse.de
- updated "nvrandr12" driver to current git:
  * G80: Get rid of debug printouts.
  * G80: Get DPMS working with RandR 1.2.
  * G80: Use the right mode struct when setting up an SOR.
* Fri Apr 13 2007 sndirsch@suse.de
- bug-263199_radeon-autocrt.diff:
  * When a monitor in MonitorLayout is specified as "AUTOCRT", it
    is set to CRT if no monitor is found at all and the connector
    type allows for VGA monitors (that is: only on VGA, DVI-I,
    DVI-A). (Bug #263199)
* Thu Apr 12 2007 sndirsch@suse.de
- bug-263199_radeon-mergedfb-crash.diff:
  * fixed MergedFB related Xserver crash (Bug #263199)
* Tue Apr  3 2007 sndirsch@suse.de
- updated "nvrandr12" driver to current git:
  * G80: Get HW cursor working with RandR 1.2
- added two nv driver patches (xf86-video-nv-{1,2}.diff)
  * X.Org Bug #10360: Need to inject a mode corresponding panel
    width/height for validation
  * Remove extraneous DisplayModeRec allocation (Thanks to Luc
    Verhaegen for pointing this out)
* Tue Apr  3 2007 sndirsch@suse.de
- intel driver release 1.9.94 (2.0 RC4)
  * In hopefully our last RC before release, here's
    xf86-video-intel 2.0 RC4. The big news in this one is the
    addition of 965GM support.  Also present are some EXA fixes,
    documentation updates, and moving the debug output under
    Option "ModeDebug" "YES".
* Wed Mar 28 2007 sndirsch@suse.de
- updated "nvrandr12" driver to current git:
  * G80: Use xf86CrtcScreenInit and xf86SetDesiredModes.
  * G80: Improve output detection.
  * Detect output status for paired outputs together and cache
    status until the BlockHandler to avoid redundantly probing for
    EDIDs or performing load detection.
* Wed Mar 28 2007 sndirsch@suse.de
- updated nv driver to release 2.0.1:
  * NVSync hangs in EnterVT, so don't call it there.
  * Fix broken prototype.
  * Fix warnings and bump to 2.0.1.
  * REALLY bump to 2.0.1.
- obsoletes xf86-video-nv-NVSync.diff
- updated "nvrandr12" driver to current git:
  * G80: Create output partners.
  * Each pair of outputs shares an I2C rec.  This will be used in
    a future change for the detect and get_modes routines.
  * Fix warnings.
* Tue Mar 27 2007 sndirsch@suse.de
- update ati driver to release 6.6.191:
  * This is pre-release of the ATI driver aimed at 7.3. It doesn't
    contain randr1.2 support it does however contain a major
    re-write of the output mappings from what was known as Alex's
    superpatch. Please logs all regressions into bugzilla so we can
    fix them before the 6.7 release.
- obsoletes rn50_pixel_clock_limit.patch
- disabled radeon-xrandr-dotclock.diff for now (Bug #135749)
- disabled radeon_dell.diff (obsolete?) (Bug #138458)
- disabled "radeonrandr12" driver for now
* Tue Mar 27 2007 sndirsch@suse.de
- intel driver release 1.9.93 (2.0 RC3)
  * Significant differences over the previous RC include fixes for
    larger 915-generation LVDS panels, fixes for rotation on the
    965, improved TV format selection, some SDVO output enabling
    fixes, I2C timing fixes to improve the chances of DDC, and
    cursor behavior fixes with RandR.
- obsoletes xf86-video-intel-[1-5].diff
* Wed Mar 21 2007 sndirsch@suse.de
- added a bunch of intel driver patches (xf86-video-intel-[1-5].diff)
  from git (master branch):
  * Move vendor ID check in the utils to after pci_device_probe.
  * Make i830_sdvo_write_sdvox write everything twice.
  * Add debug output for ADPA.
  * Print the mode actually being set per pipe.
  * Attempt to fix single/dual-channel issues on i9xx LVDS panels.
* Tue Mar 20 2007 sndirsch@suse.de
- xf86-video-nv-NVSync.diff:
  * NVSync hangs in EnterVT, so don't call it there.
* Mon Mar 19 2007 sndirsch@suse.de
- updated nv driver to release 2.0.0
  * This release adds support for the NVIDIA GeForce 8800 GTX,
    GeForce 8800 GTS, Quadro FX 4600, and Quadro FX 5600 GPUs.
    It also fixes a few bugs for earlier graphics cards.
- obsoletes patches:
  * xf86-video-nv-DAC.diff
  * xf86-video-nv-corruption-cursor.diff
  * xf86-video-nv-switchmode-freeze.diff
  * xf86-video-nv-vesafb-vga.diff
* Sun Mar 18 2007 sndirsch@suse.de
- updated optional RANDR 1.2 drivers radeon/nv/mga (2007-03-18):
  * "First stab at RandR 1.2. This will only work on G450/G550
    cards."
* Sat Mar 17 2007 sndirsch@suse.de
- xf86-video-nv-switchmode-freeze.diff:
  * Avoid hanging when switching modes on some nv4x cards
    (Bug #235171)
* Fri Mar 16 2007 sndirsch@suse.de
- xf86-video-nv-corruption-cursor.diff:
  * fix GXxor corruption on nv4x (Bug #246421)
  * Hide the cursor in CloseScreen. Otherwise, if we're restoring a
    graphical framebuffer mode the cursor will still be visible.
* Thu Mar 15 2007 sndirsch@suse.de
- xf86-video-nv-vesafb-vga.diff:
  * Fix VGA output with vesafb on nv4x and G7x GPUs (Bug #160812)
* Wed Mar 14 2007 sndirsch@suse.de
-  intel driver release 1.9.92 (2.0 RC2):
  * Major changes in this release include moving more code to the
    X Server, fixing 3D performance regressions, fixing Mac Mini
    DPMS, potential fixes for some LVDS issues on 855 and 915,
    fixes for many segfaults, and the off-by-default pageflipping
    support.
* Wed Mar 14 2007 sndirsch@suse.de
- updated intel driver to current git master branch (2007-03-14)
* Tue Mar 13 2007 sndirsch@suse.de
- updated siliconmotion driver to release 1.5.1
  * clean up source formatting
  * Add EXA support (Solid and Copy)
  * actually program the vclk
  * fix hangs at startup due to engine not being active
  * fix clk calculation on older lynx chips
* Mon Mar 12 2007 sndirsch@suse.de
- added optional drivers with experimental RANDR 1.2 support
  ("radeonrandr12", "nvrandr12")
* Sat Mar 10 2007 sndirsch@suse.de
- xf86-video-nv-DAC.diff:
  * Use DAC load detection to decide which OR to use instead of
    trusting the EDID.
* Fri Mar  9 2007 sndirsch@suse.de
- updated nv driver to release 1.99.1:
  * This release adds support for the NVIDIA GeForce 8800 GTX,
    GeForce 8800 GTS, Quadro FX 4600, and Quadro FX 5600 GPUs. It
    should be considered beta quality.
* Tue Mar  6 2007 sndirsch@suse.de
- do not overwrite "i810" driver with symlink to "intel" driver; we
  still need two different Intel drivers ("i810" + "intel")
* Mon Mar  5 2007 sndirsch@suse.de
- updated to "intel" (modesetting) driver release 1.9.91; obsoletes
  additional "i810beta"/"i810sdvo" drivers
- specfile cleanup
* Thu Mar  1 2007 sndirsch@suse.de
- xf86-video-ati-mergedfb-dpi.diff:
  * fixes DPI values for mergedfb configs (Bug #239033)
* Thu Feb 22 2007 sndirsch@suse.de
- added blacklist for kernel fb modules (Bug #239194)
* Tue Feb 13 2007 sndirsch@suse.de
- updated vmware driver to release 10.15.0
  * Provide truely usable resizing support with the ability to
    resize larger than the initial size and no wasted framebuffer
    space. As a bonus, a variety of useful resolutions are built
    in to the driver and always available.
* Mon Feb  5 2007 sndirsch@suse.de
- removed "-nostdlib/-lgcc" to fix loading of mga_hal module
  (Bug #242127)
* Tue Jan 30 2007 sndirsch@suse.de
- rn50_pixel_clock_limit.patch:
  * resolves video corruption problem on ES1000 (X.Org Bug #5766)
* Tue Jan  9 2007 sndirsch@suse.de
- updated i810 driver to release 1.7.4
  * Fix bug #8536, i915 BIOS fails when restarting Xserver.
* Fri Dec 29 2006 sndirsch@suse.de
- updated fbdev driver to release 0.3.1
  * Fix shadow framebuffer, and by extension rotation. (Bug #7961)
  * obsoletes xf86-video-fbdev-disable-shadowfb.diff,
    xf86-video-fbdev.diff
* Wed Dec 27 2006 sndirsch@suse.de
- updated mga driver to release 1.4.6.1
  * No changes, just a respin against a newer util-macros.
- updated nv driver to release 1.2.2.1
  * No changes, just a respin against a newer util-macros.
* Sun Dec 17 2006 sndirsch@suse.de
- updated mga driver to release 1.4.6
  * Makefile.am: fix ChangeLog hook
  * Use the XORG_RELEASE_VERSION autoconf macro.
  * More janitoring work.
  * Removed a duplicated register definition.
- updated nv driver to release 1.2.2
  * Remove redundant XORG_RELEASE_VERSION
  * Makefile.am: make ChangeLog hook safer
- updated rendition driver to release 4.1.3
  * Makefile.am: make ChangeLog hook safer
* Sat Dec  9 2006 sndirsch@suse.de
- added optional "i810sdvo" driver for SDVO support
  ("modesetting-sdvo-stuffing" branch)
* Fri Dec  8 2006 sndirsch@suse.de
- intel modesetting driver: back to GIT 2006-11-21 due to undefined
  xf86DDCGetModes symbol (requires newer xserver)
* Fri Dec  8 2006 sndirsch@suse.de
- updated vmware driver to release 10.14.1
  * Fix use of uninitialised buffer in static xinerama topology
    parsing
* Thu Dec  7 2006 sndirsch@suse.de
- updated i810 driver to release 1.7.3
  * Make VIDEO_DEBUG into a configure option
  * Fix manpage to report 8160 instead of 6144 for LinearAlloc.
  * Add some MergedFB checks for accelerator limitations
  * Disable some debug message
  * update port attributes immediately when overlay is on.
  * Be a little more verbose when rejecting modes.
  * Don't crash if SetCursorPosition is called with pScrn->currentMode == NULL.
  * Add support for the new DRM memory manager.
  * Bug 8594: Fix Xv hang with G965
  * obsoletes patches
  - xf86-video-i810-965g-xv-hang.diff
  - xf86-video-i810-disable-debug.diff
  - xf86-video-i810-linearalloc.diff
  - xf86-video-i810-mergedfb-checks.diff
  - xf86-video-i810-modelines-verbose.diff
  - xf86-video-i810-newdrm.diff
  - xf86-video-i810-setcursorposition.diff
  - xf86-video-i810-update-port-attributes.diff
  - xf86-video-i810-video-debug.diff
* Tue Dec  5 2006 sndirsch@suse.de
- updated nv driver to release 1.2.1
  * Save and restore DAC0 register 608 when probing for connected
    CRTs. Adapted from a patch by Egbert Eich for Novell bug
    [#220197] (obsoletes xf86-video-nv-bug220197.diff).
  * Use XORG_RELEASE_VERSION.
  * Handle more than 1 digit in the version numbers. Based on a
    change by George Sapountzis <gsap7@yahoo.gr>.
  * Replace panel message + MODE_BAD with MODE_PANEL.
* Sun Dec  3 2006 sndirsch@suse.de
- updated s3 driver to release 0.5.0
  * Evgeny M. Zubok: Make the driver work with modular X (bug 7112)
- updated mga driver to release 1.4.5
  * Minor typofix that was causing configure to exit with a syntax
    error
  * Enabled the Exa composite hooks on G550.
  * Bug #2168: Fix graphics corruptions with Mystique rev 2.
  * Removed some duplicated register definitions.
  * Removed some unused defines from mga_reg.h.
  * Register name tweak.
  * Use register names in MGASaveScreenMerged() rather than magic numbers.
  * Replaced more magic values with register names.
  * Removed a duplicated register definition.
  * Made some XAA function static.
- updated sis driver to release 0.9.3
  * include stdlib.h for strtod
- updated vesa driver to release 1.3.0
  * Fix shadow support yet again.
- updated i128 driver to release 1.2.1
  * Revision-number-only change for sequentiality.
- updated tdfx driver to release 1.3.0
- updated intel modesetting driver (git_2006-12-04)
- xf86-video-i810-newdrm.diff:
  * Add support for the new DRM memory manager
* Sat Dec  2 2006 sndirsch@suse.de
- newdrm.diff obsolete with libdrm 2.3.0
* Fri Dec  1 2006 sndirsch@suse.de
- bug220197.diff:
  Save and restore DAC0 register 608 when probing for connected
  CRTs (Bug #220197)
* Fri Nov 24 2006 sndirsch@suse.de
- xf86-video-fbdev-disable-shadowfb.diff:
  * fbdev: disable use of shadowfb by default (Bug #220171)
* Wed Nov 22 2006 sndirsch@suse.de
- xf86-video-i810-update-port-attributes.diff:
  * update port attributes immediately when overlay is on.
- xf86-video-i810-modelines-verbose.diff
  * Be a little more verbose when rejecting modes.
* Tue Nov 21 2006 sndirsch@suse.de
- updated (optional) intel modesetting driver (git_2006-11-21)
  * Enable second SDVO channel. Rework SDVO support so that it
    can deal with two channels correctly, also save/restore all
    connected output timings.
  * Set configured values for screen virtual size and initial
    frame. Computation for virtual size and initial frame origin
    is quite broken in xf86 common code.
* Sun Nov 19 2006 sndirsch@suse.de
- xf86-video-i810-disable-debug.diff:
  * disable some debug message (Alan Hourihane)
* Sun Nov 19 2006 sndirsch@suse.de
- updated (optional) intel modesetting driver (git_2006-11-19)
  * Fix TV color key. Subcarrier defines were incorrect in header
    file leaving one of the DDA phases disabled.
  * Preliminary 945 TV output. Color key is broken. Fixed mode. TV
    output is generating video with this patch, but the color burst
    signal is incorrect somehow.
  * Disable some debug message
  * Bug 8594: Fix Xv hang with G965
  * Add support for the new DRM memory manager.
    Some code are duplicated with the new libdrm.
    Once this code has been released with xserver,
    it can be removed. See the man page for new options and
    backwards 3D driver compatibility.
  * Add some MergedFB checks for accelerator limitations
  * Fix manpage to report 8160 instead of 6144 for LinearAlloc.
  * Don't crash if SetCursorPosition is called with
    pScrn->currentMode == NULL. This allows the driver to work with
    servers that don't have the fix for this that was only recently
    pushed to git.
  * Make VIDEO_DEBUG into a configure option
  * Bump to 1.7.2
  * Ugh. Turn off debugging.
  * Fix bug #8553 & #8542 - suspend/resume regression from 1.5
    driver
  * Fix some warnings
  * Fix server regeneration problem mapping the aperture
  * Fix bug #5795, VT switching fails because of a bad test on some
    platforms.
  * Enable XV_PORT attribute even when not in Clone mode. As Clone
    mode is now something that can change after server startup,
    always enable the XV_PORT attribute as we cannot change the list
    of reported attributes.
  * silence warning
  * Missing gamma bit
  * Fix issues with Xv locking up the engine. bug #7915.
  * Always call I830UpdateXineramaScreenInfo() unconditionally, and
    document why.
  * Store viewport limits of both pipes in SAREA. This allows DRI
    clients to determine which pipe they should synchronize buffer
    swaps of each window to.
  * If the DRM can handle it, enable vertical blank interrupts for
    both pipes.
  * Only enable the IRQ after DRIFinishScreenInit. This makes sure
    we've been assigned a context ID, so the interrupt context won't
    mess things up if it grabs the HW lock.
  * Fix bug #7943 where video flickers when changing
    attributes. This code was a leftover from testing lockups
    and shouldn't be needed anymore.
  * Typo fix in man page (Debian bug #364559).
  * bump max Xvideo height to 1088 to cope with some players.
- newdrm.diff (reverse applied):
  * disables new drm (2.2) stuff in intel modesetting driver
* Fri Nov 17 2006 sndirsch@suse.de
- updated (optional) intel modesetting driver (git_2006-11-17)
* Mon Nov  6 2006 sndirsch@suse.de
- updated rendition driver to release 1.2.3
  * Build fix for systems with <elf_abi.h> instead of <elf.h>
    (X.Org Bug #7707)
- updated intel modesetting driver (git_2006-11-06)
* Fri Nov  3 2006 sndirsch@suse.de
- updated trident dirver to release 1.2.3
  * Remove spurious line that stops blit's from working (on XP4/XP5)
* Fri Nov  3 2006 sndirsch@suse.de
- updated intel modesetting driver (git_2006-11-03)
* Thu Nov  2 2006 sndirsch@suse.de
- updated vmware driver to release 10.14.0
  * Add Xinerama support.
- updated intel modesetting driver (git_2006-11-02)
* Mon Oct 30 2006 sndirsch@suse.de
- added intel modesetting driver "i810beta" (optional)
* Mon Oct 30 2006 sndirsch@suse.de
- xf86-video-i810-video-debug.diff:
  * Make VIDEO_DEBUG into a configure option
- xf86-video-i810-linearalloc.diff:
  * Fix manpage to report 8160 instead of 6144 for LinearAlloc.
- xf86-video-i810-setcursorposition.diff:
  * Don't crash if SetCursorPosition is called with
    pScrn->currentMode == NULL. This allows the driver to work
    with servers that don't have the fix for this that was only
    recently pushed to git.
- xf86-video-i810-mergedfb-checks.diff:
  * Add some MergedFB checks for accelerator limitations
- xf86-video-i810-965g-xv-hang.diff:
  * X.Org Bug 8594: Fix Xv hang with G965
* Sat Oct 28 2006 sndirsch@suse.de
- updated mga driver to release 1.4.4:
  * Fix initialization issues that led to DRI lock-ups on some G400
    configurations. Minor code refactoring.
* Wed Oct 25 2006 sndirsch@suse.de
- reverted latest change; i82875p_edac should be blacklisted in
  global blacklist instead (Bug #213840)
* Tue Oct 24 2006 sndirsch@suse.de
- make sure that intel-agp is loaded before i82875p_edac kernel
  module (Bug #213840)
* Sat Oct 14 2006 sndirsch@suse.de
- X.Org 7.2RC1 package update:
  * xf86-video-i128-1.1.0.6
  * xf86-video-voodoo-1.1.1
  * xf86-video-nsc-2.8.2
  * xf86-video-tseng-1.1.1
  * xf86-video-sis-0.9.2
  * xf86-video-vesa-1.2.2
  * xf86-video-newport-0.2.1
  * xf86-video-via-0.2.2
  * xf86-video-tdfx-1.2.2
  * xf86-video-mga-1.4.3
  * xf86-video-trident-1.2.2
  * xf86-video-rendition-4.1.1
  * xf86-video-siliconmotion-1.4.2
* Fri Oct 13 2006 sndirsch@suse.de
- update i810 driver to release 1.7.2
  * Turn off debugging.
* Fri Oct 13 2006 sndirsch@suse.de
- update i810 driver to release 1.7.1
  * Fix bug #8553 & #8542 - suspend/resume regression from ...
  * Fix some warnings
  * Fix server regeneration problem mapping the aperture
  * Fix bug #5795, VT switching fails because of a bad ...
  * silence warning xf86-video-intel-1.7.0 / xf86-video-i810-1.7.0
  * Enable XV_PORT attribute even when not in Clone mode.
* Wed Oct 11 2006 sndirsch@suse.de
- fixed build of via driver (build enabled again, Bug #207118)
* Mon Oct  9 2006 sndirsch@suse.de
- update savage driver to release 2.1.2
  * EXA support (copy and solid only)
  * PCI BAR refactoring (preparation for PCI-rework)
  * fix DRI locking
  * bug fixes
- update i810 driver to release 1.7.0
  * Typo fix in man page (Debian bug #364559).
  * Fix bug #5150. Disable LVDS usage on i915G, i945G and i965G.
  * Disable device check when mergedfb in operation.
  * Fix bug #7930, i810 doesn't compile without DRI
  * remove GL* usage
  * fix typo
  * Fix SetVBlank to operate all the time
  * Fix bug with probing info of DFP2 and LFP2 connected
  * When in MergedFB mode, fix offscreen memory allocation.
  * Fix bug #7943 where video flickers when changing
  * bump max Xvideo height to 1088 to cope with some players.
  * Fix issues with Xv locking up the engine. bug #7915.
  * Missing gamma bit
  * bump to 1.7.0
  * silence warning
  * Bug #7905: Mark DRI state as dirty in 965 textured video,
    fixing hangs with 3d.
  * Add a check for intel-gen4asm, and rules to compile
    {wm,sf}_prog.h using it.
  * Fix a compile failure from the last commit.
  * Only enable the IRQ after DRIFinishScreenInit.
  * If the DRM can handle it, enable vertical blank interrupts for
    both pipes.
  * Store viewport limits of both pipes in SAREA.
  * Always call I830UpdateXineramaScreenInfo() unconditionally, and
    document why.
  * Fix undefined alloc type for agp memory
- update ati driver to release 6.6.3
  * The main fix is for rn50/M6/M7 stability problems since memmap
  * obsoletes radeon_rn50_memmap.diff
* Wed Sep 20 2006 sndirsch@suse.de
- disabled build of via driver for now (Bug #207118)
* Tue Sep 19 2006 sndirsch@suse.de
- update to mga driver to release 1.4.2
  * Fix locking issues that prevented DRI from working. Some
    compile warnings were also removed and some code refactored.
  * obsoletes xf86-video-mga.diff
* Mon Sep 18 2006 sndirsch@suse.de
- radeon_rn50_memmap.diff/radeon_rn50_memmap-sle10.diff:
  * This should fixup the rn50/m6/m7 memory map problem that has
    been reported since BenH's memory mapping changes (Bug #204882)
* Wed Sep 13 2006 sndirsch@suse.de
- radeon-vbios-ppc.diff:
  * let RADEONGetBIOSInfo fail on ppc as before since content in
    VBIOS on ppc seem to be bogus anyway (Bug #197847)
  * obsoletes radeon-min_dotclock.diff
* Fri Sep  1 2006 sndirsch@suse.de
- removed Requires: xorg-x11-server, since xorg-x11-input-video is
  already required by xorg-x11-server, which resulted in a fatal
  dependancy cycle
* Mon Aug 28 2006 sndirsch@suse.de
- radeon-min_dotclock.diff:
  * check for bogus minclock in VBIOS and set a reasonable value
    instead (Bug #197847)
* Fri Aug 25 2006 sndirsch@suse.de
- updated ati/r128/radeon driver combo to release 6.6.2 -
  "Lots of fixes, mostly the best ones are stability for r300."
- obsoletes p_bug148696.diff, radeon_bios.diff,
  rn50_disable-render-accel.diff
* Fri Aug 11 2006 sndirsch@suse.de
- updated i810/intel driver to release 1.6.5
  * Fixes DRI compatibility with pre-1.6.4 releases, and improves
    i915 textured video.
* Thu Aug 10 2006 sndirsch@suse.de
- updated i810/intel driver to release 1.6.4
  * New release providing i965 support
* Tue Aug  8 2006 sndirsch@suse.de
- updated i810/intel driver to release 1.6.3
  * Add mergedfb support to the intel driver
  * Update Xvideo to deal with MergedFB modes.
  * When detecting new monitors in mergedfb renew the modepool.
  * Calculate allowable refresh rates on the private
  * Fix pipe reversal for Xv
  * Fix DGA with MergedFB
  * Ensure palette is updated in mergedfb & clone modes
  * Disable detecting of new monitors on VT switch.
  * Re-enable monitor detect after a few fixups.
  * check for xineramaproto
- disabled p_i810-refresh.diff due to radical driver changes for
  now
* Sun Aug  6 2006 sndirsch@suse.de
- p_i810-refresh.diff:
  * refresh rates fixes (Bug #102345)
* Tue Aug  1 2006 sndirsch@suse.de
- fixed build of nsc driver by adding -DXFree86Server to CFLAGS
* Sat Jul 29 2006 sndirsch@suse.de
- fixed fatal compiler warnings
* Fri Jul 28 2006 sndirsch@suse.de
- use "-fno-strict-aliasing"
* Thu Jul 27 2006 sndirsch@suse.de
- build Matrox HAL library (required for MergedFB and other
  features)
* Thu Jul 27 2006 sndirsch@suse.de
- use $RPM_OPT_FLAGS
* Thu Jul 27 2006 sndirsch@suse.de
- updated i810 driver to release 1.6.1
* Mon Jul 24 2006 sndirsch@suse.de
- fixed fatal compiler warnings
* Tue Jun 27 2006 sndirsch@suse.de
- created package
